<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron" queryBinding="xslt2">
   <title> Schematron file for ClinicalDocument - CDA_document </title>
   <ns uri="urn:hl7-org:v3" prefix="hl7"/>
   <ns uri="urn:hl7-org:v3" prefix="cda"/>
   <ns uri="http://www.w3.org/2001/XMLSchema-instance" prefix="xsi"/>
   <!-- Add extra namespaces --><ns uri="http://www.w3.org/XML/1998/namespace" prefix="xml"/>
   <!--
==================================
Schematron schema for CDA_document (CDAoverdrachtsdocument)

Project: 

Copyright 2012 by Nictiz


Author: dr Kai U. Heitmann
Author: Gerrit Boers
Author: Tessa van Stijn
Author: Albert-Jan Spruyt

Version information:
  2012-09-28T12:00:00 Tessa van Stijn 

DISCLAIMER:
De inhoud van deze publicatie is zorgvuldig voorbereid en beoordeeld. Echter staat Nictiz noch in voor de juistheid, volledigheid of kwaliteit van de verstrekte informatie 
            noch dat het up-to-date is. Aansprakelijkheid claims tegen Nictiz ten aanzien van materiële of immateriële schade veroorzaakt door het gebruik of het niet-gebruik van de aangeboden 
            informatie of door onjuiste of onvolledige informatie zijn in principe uitgesloten op voorwaarde dat er geen aantoonbare toerekenbare opzet of grove schuld van de kant van het instituut.

WARNING:
THIS FILE HAS BEEN GENERATED AUTOMAGICALLY. DON'T EDIT IT.

Creation date: (in development)
==================================

--><!-- Include realm specific schematron --><!--Include datatype abstract schematrons-->
<pattern>
      <include href="include/DTr1_ANY.sch"/>
      <include href="include/DTr1_AD.sch"/>
      <include href="include/DTr1_BIN.sch"/>
      <include href="include/DTr1_BL.sch"/>
      <include href="include/DTr1_CD.sch"/>
      <include href="include/DTr1_CE.sch"/>
      <include href="include/DTr1_CO.sch"/>
      <include href="include/DTr1_CS.sch"/>
      <include href="include/DTr1_CS.LANG.sch"/>
      <include href="include/DTr1_CV.sch"/>
      <include href="include/DTr1_EIVL_TS.sch"/>
      <include href="include/DTr1_EN.sch"/>
      <include href="include/DTr1_II.sch"/>
      <include href="include/DTr1_INT.sch"/>
      <include href="include/DTr1_INT.NONNEG.sch"/>
      <include href="include/DTr1_INT.POS.sch"/>
      <include href="include/DTr1_IVL.sch"/>
      <include href="include/DTr1_IVL_PQ.sch"/>
      <include href="include/DTr1_IVL_TS.sch"/>
      <include href="include/DTr1_PIVL_TS.sch"/>
      <include href="include/DTr1_PN.sch"/>
      <include href="include/DTr1_PQ.sch"/>
      <include href="include/DTr1_QTY.sch"/>
      <include href="include/DTr1_SXCM.sch"/>
      <include href="include/DTr1_SXPR_TS.sch"/>
      <include href="include/DTr1_TS.sch"/>
      <include href="include/DTr1_TS.DATE.sch"/>
      <include href="include/DTr1_TS.DATE.FULL.sch"/>
      <include href="include/DTr1_TS.DATE.MIN.sch"/>
      <include href="include/DTr1_TS.DATETIME.MIN.sch"/>
      <include href="include/DTr1_SC.sch"/>
      <include href="include/DTr1_ST.sch"/>
      <include href="include/DTr1_ON.sch"/>
      <include href="include/DTr1_ED.sch"/>
      <include href="include/DTr1_TEL.sch"/>
      <include href="include/DTr1_TN.sch"/>
      <include href="include/DTr1_URL.sch"/>
      <include href="include/DTr1_RTO.sch"/>
      <include href="include/DTr1_AD.NL.sch"/>
      <include href="include/DTr1_II.NL.BSN.sch"/>
      <include href="include/DTr1_II.NL.URA.sch"/>
      <include href="include/DTr1_II.NL.UZI.sch"/>
      <include href="include/DTr1_II.NL.AGB.sch"/>
      <include href="include/DTr1_II.AT.DVR.sch"/>
      <include href="include/DTr1_II.AT.ATU.sch"/>
      <include href="include/DTr1_II.AT.BLZ.sch"/>
      <include href="include/DTr1_II.AT.KTONR.sch"/>
   </pattern>

   <!-- Include the project schematrons related to scenario CDAoverdrachtsdocument -->

<!-- e-Overdracht -->
<include href="include/2.16.840.1.113883.2.4.3.11.40.sch"/>

   <!-- Include schematrons from templates with explicit * or ** context (but no representing templates), only those used in scenario template -->



<!-- includes -->
<!-- Sectie_Gezinssamenstelling_en_woonsituatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.1.sch"/>
   <!-- Sectie_Eten_drinken -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.10.sch"/>
   <!-- Sectie_Voeding -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.11.sch"/>
   <!-- Sectie_Toediening_systemen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.12.sch"/>
   <!-- Sectie_Uitscheiding -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.13.sch"/>
   <!-- Sectie_Seksualiteit_en_voortplanting -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.14.sch"/>
   <!-- Sectie_Huid -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.15.sch"/>
   <!-- Sectie_Slaap -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.16.sch"/>
   <!-- Sectie_Zintuigen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.17.sch"/>
   <!-- Sectie_Pijn -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.18.sch"/>
   <!-- Sectie_Interventie_tav_psychisch_functioneren -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.19.sch"/>
   <!-- Sectie_Medische_gegevens -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.2.sch"/>
   <!-- Sectie_Algemene_mentale_functies -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.20.sch"/>
   <!-- Sectie_Communicatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.21.sch"/>
   <!-- Sectie_Ziekte_beleving -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.22.sch"/>
   <!-- Sectie_Levens_overtuiging -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.23.sch"/>
   <!-- Sectie_Participatie_in_maatschappij -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.24.sch"/>
   <!-- Sectie_Hulp_van_anderen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.25.sch"/>
   <!-- Sectie_Overig -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.26.sch"/>
   <!-- Sectie_Samenvatting_zorg -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.3.sch"/>
   <!-- Sectie_Meetwaarden -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.4.sch"/>
   <!-- Sectie_Mobiliteit -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.5.sch"/>
   <!-- Sectie_Wassen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.6.sch"/>
   <!-- Sectie_Mond_verzorging -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.7.sch"/>
   <!-- Sectie_Aan-_en_uitkleden -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.8.sch"/>
   <!-- Sectie_Toiletgang -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.1.9.sch"/>
   <!-- Family_details_household_composition -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.1.sch"/>
   <!-- Entry_Medische_gegevens -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.10.sch"/>
   <!-- eten -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.100.sch"/>
   <!-- eten_naar_mond_brengen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.101.sch"/>
   <!-- eetgerei_hanteren -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.102.sch"/>
   <!-- snijden_openen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.103.sch"/>
   <!-- drinken -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.104.sch"/>
   <!-- bereiden_openen_uitschenken -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.105.sch"/>
   <!-- vastpakken -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.106.sch"/>
   <!-- drinken_naar_mond_brengen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.107.sch"/>
   <!-- entry_Voeding -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.109.sch"/>
   <!-- entryRelationship_medische_diagnose -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.11.sch"/>
   <!-- ondervoeding -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.110.sch"/>
   <!-- voedsel_intolerantie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.111.sch"/>
   <!-- dieet -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.112.sch"/>
   <!-- consistentie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.114.sch"/>
   <!-- entry_Toediening_systemen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.116.sch"/>
   <!-- sonde -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.117.sch"/>
   <!-- vloeistof_toe_te_dienen_via_sonde -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.118.sch"/>
   <!-- infuus -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.119.sch"/>
   <!-- entryRelationship_Principal_Diagnosis -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.12.sch"/>
   <!-- infuus_locatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.121.sch"/>
   <!-- vloeistof_toe_te_dienen_via_infuus -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.122.sch"/>
   <!-- entry_Uitscheiding -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.124.sch"/>
   <!-- mictie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.125.sch"/>
   <!-- continentie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.126.sch"/>
   <!-- soort_incontinentie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.127.sch"/>
   <!-- urostoma -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.128.sch"/>
   <!-- entryRelationship_duur_ziektebehandeling -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.13.sch"/>
   <!-- urine_katheter -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.130.sch"/>
   <!-- soort_katheter -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.131.sch"/>
   <!-- defecatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.133.sch"/>
   <!-- continentie_defecatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.134.sch"/>
   <!-- frequentie_defecatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.135.sch"/>
   <!-- stoma -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.136.sch"/>
   <!-- soort_stoma -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.137.sch"/>
   <!-- locatie_stoma -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.138.sch"/>
   <!-- entryRelationship_begin_in_zorgbehandeling -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.14.sch"/>
   <!-- incontinentiemateriaal -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.140.sch"/>
   <!-- datum_laatste_menstruatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.141.sch"/>
   <!-- toelichting -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.142.sch"/>
   <!-- entry_Seksualiteit_en_voortplanting -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.144.sch"/>
   <!-- zwangerschap -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.146.sch"/>
   <!-- aantal_weken_zwangerschap -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.147.sch"/>
   <!-- voorplanting -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.149.sch"/>
   <!-- toelichting_beloop_duur_ziektebehandeling -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.15.sch"/>
   <!-- entry_Huid -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.151.sch"/>
   <!-- decubitus -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.152.sch"/>
   <!-- locatie_decubitus -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.153.sch"/>
   <!-- preventie_decubitus -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.154.sch"/>
   <!-- decubitus_behandelplan -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.155.sch"/>
   <!-- huidletsel_door_incontinentie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.156.sch"/>
   <!-- locatie_huidletsel -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.157.sch"/>
   <!-- preventie_huidletsel -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.159.sch"/>
   <!-- entryRelationship_prognose -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.16.sch"/>
   <!-- behandelplan_huidletsel -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.160.sch"/>
   <!-- wond -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.161.sch"/>
   <!-- locatie_wond -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.162.sch"/>
   <!-- behandeling_wond -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.163.sch"/>
   <!-- overige_huidaandoeningen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.164.sch"/>
   <!-- locatie_overige_huidaandoeningen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.165.sch"/>
   <!-- behandelplan_overige_huidaandoeningen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.166.sch"/>
   <!-- entry_Slaap -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.167.sch"/>
   <!-- slapen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.168.sch"/>
   <!-- inslapen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.169.sch"/>
   <!-- Organizer_andere_relevante_medische_aandoening -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.17.sch"/>
   <!-- doorslapen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.170.sch"/>
   <!-- slaapcyclus -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.171.sch"/>
   <!-- entry_Zintuigen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.174.sch"/>
   <!-- zien -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.175.sch"/>
   <!-- hulpmiddelen_bij_zien -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.176.sch"/>
   <!-- manufacturedProduct -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.177.sch"/>
   <!-- horen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.178.sch"/>
   <!-- hulpmiddelen_bij_gehoor -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.179.sch"/>
   <!-- Andere_relevante_medische_aandoening -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.18.sch"/>
   <!-- manufacturedProduct_gehoor_hulpmiddelen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.180.sch"/>
   <!-- overig_tast_reuk_smaak -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.181.sch"/>
   <!-- entry_Sectie_Pijn -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.183.sch"/>
   <!-- locatie_pijn -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.184.sch"/>
   <!-- pijn_in_rust -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.185.sch"/>
   <!-- pijn_bij_beweging -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.186.sch"/>
   <!-- entry_Interventie_tav_psychisch_functioneren -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.189.sch"/>
   <!-- juridische_status -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.190.sch"/>
   <!-- dwang_en_drang -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.191.sch"/>
   <!-- instemming -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.192.sch"/>
   <!-- wilsbekwaam_in_kader_van_behandelplan -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.193.sch"/>
   <!-- middelengebruik -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.195.sch"/>
   <!-- vrijheidsbeperkende_interventies -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.196.sch"/>
   <!-- besproken_met_wettelijke_vertegenwoordiger -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.197.sch"/>
   <!-- entry_Algemene_mentale_functies -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.199.sch"/>
   <!-- Details_of_own_children -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.2.sch"/>
   <!-- entryRelationship_allergie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.20.sch"/>
   <!-- bewustzijn -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.200.sch"/>
   <!-- oriëntatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.201.sch"/>
   <!-- tijd_oriëntatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.202.sch"/>
   <!-- plaats_oriëntatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.203.sch"/>
   <!-- persoon_oriëntatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.204.sch"/>
   <!-- intellectuele_functies -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.205.sch"/>
   <!-- aandacht -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.206.sch"/>
   <!-- geheugen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.207.sch"/>
   <!-- korte_termijn_geheugen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.208.sch"/>
   <!-- lange_termijn_geheugen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.209.sch"/>
   <!-- Allergie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.21.sch"/>
   <!-- stemming -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.210.sch"/>
   <!-- adequaatheid_stemming -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.211.sch"/>
   <!-- regulering_stemming -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.212.sch"/>
   <!-- denken -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.213.sch"/>
   <!-- tempo_snelheid_gedachten_wisselen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.214.sch"/>
   <!-- coherentie_denken -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.215.sch"/>
   <!-- inhoud_werkelijkheidszin_denken -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.216.sch"/>
   <!-- controle_denken -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.217.sch"/>
   <!-- Bron_bewering_allergie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.22.sch"/>
   <!-- entry_Communicatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.220.sch"/>
   <!-- spreekt_Nederlandse_taal -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.221.sch"/>
   <!-- begrijpen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.222.sch"/>
   <!-- verbale_communicatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.223.sch"/>
   <!-- non_verbale_communicatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.224.sch"/>
   <!-- zich_kunnen_uiten -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.225.sch"/>
   <!-- verbale_communicatie_zich_kunnen_uiten -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.226.sch"/>
   <!-- non_verbale_communicatie_zich_kunnen_uiten -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.227.sch"/>
   <!-- entryRelationship_infectierisico -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.23.sch"/>
   <!-- entry_Ziekte_beleving -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.230.sch"/>
   <!-- omgaan_met_ziekteproces -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.231.sch"/>
   <!-- naasten -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.232.sch"/>
   <!-- ziekte_inzicht -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.233.sch"/>
   <!-- entry_Levens_overtuiging -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.235.sch"/>
   <!-- religie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.236.sch"/>
   <!-- cultuur -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.237.sch"/>
   <!-- wilsverklaring -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.238.sch"/>
   <!-- wilsverklaring_waar_te_vinden -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.239.sch"/>
   <!-- Toelichting_beloop -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.24.sch"/>
   <!-- geregistreerd_als_donor -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.240.sch"/>
   <!-- entry_Participatie_in_maatschappij -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.242.sch"/>
   <!-- participatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.243.sch"/>
   <!-- werk_beroep -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.244.sch"/>
   <!-- hobby -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.245.sch"/>
   <!-- sociaal_netwerk -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.246.sch"/>
   <!-- entry_Hulp_van_anderen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.249.sch"/>
   <!-- entryRelationship_medicatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.25.sch"/>
   <!-- mantelzorg -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.251.sch"/>
   <!-- frequentie_mantelzorg -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.252.sch"/>
   <!-- professionele_hulp -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.253.sch"/>
   <!-- frequentie_professionele_hulp -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.254.sch"/>
   <!-- entry_Overig -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.256.sch"/>
   <!-- aanvraag_hulpmiddelen_aanpassingen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.257.sch"/>
   <!-- e_health_voorzieningen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.259.sch"/>
   <!-- Hulp_bij_toediening -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.26.sch"/>
   <!-- meegegeven_documentatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.260.sch"/>
   <!-- entry_Transfer_summary_report -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.27.sch"/>
   <!-- entryRelationship_Samenvatting_zorgvraag -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.28.sch"/>
   <!-- entryRelationship_reden_in_zorg -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.29.sch"/>
   <!-- Child -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.3.sch"/>
   <!-- procedure_reden_overdragen_zorg -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.30.sch"/>
   <!-- entryRelationship_reden_overdragen_zorg -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.31.sch"/>
   <!-- entryRelationship_CIZ-indicatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.32.sch"/>
   <!-- entryRelationship_gemaakte_afspraken -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.33.sch"/>
   <!-- entryRelationship_aanspreekpersoon_voor_client -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.34.sch"/>
   <!-- entryRelationship_mening_client -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.35.sch"/>
   <!-- entryRelationship_mede_behandelaars -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.36.sch"/>
   <!-- entryRelationship_discipline_mede_behandelaars -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.37.sch"/>
   <!-- entry_Meetwaarden -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.38.sch"/>
   <!-- entryRelationship_Bloeddruk -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.39.sch"/>
   <!-- aantal_kinderen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.4.sch"/>
   <!-- component_systole -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.40.sch"/>
   <!-- component_diastole -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.41.sch"/>
   <!-- component_bloeddruk_toelichting -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.42.sch"/>
   <!-- entryRelationship_pols_frequentie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.43.sch"/>
   <!-- entryRelationship_pols_toelichting -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.44.sch"/>
   <!-- entryRelationship_temperatuur -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.45.sch"/>
   <!-- entryRelationship_temperatuur_toelichting -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.46.sch"/>
   <!-- entryRelationship_ademhaling -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.47.sch"/>
   <!-- entryRelationship_zuurstofgebruik -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.48.sch"/>
   <!-- entryRelationship_toelichting_zuurstofgebruik -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.49.sch"/>
   <!-- Age -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.5.sch"/>
   <!-- entryRelationship_gewicht -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.50.sch"/>
   <!-- entryRelationship_lengte -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.51.sch"/>
   <!-- entryRelationship_overige_meetwaarden -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.52.sch"/>
   <!-- entry_Mobiliteit -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.53.sch"/>
   <!-- entryRelationship_ondersteuning_nodig -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.54.sch"/>
   <!-- entryRelationship_voortbewegen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.55.sch"/>
   <!-- entryRelationship_voortbewegen_lopen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.56.sch"/>
   <!-- entryRelationship_voortbewegen_hulpmiddelen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.57.sch"/>
   <!-- entryRelationship_transfer -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.58.sch"/>
   <!-- entryRelationship_transfers_in_zit -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.59.sch"/>
   <!-- aantal_kinderen_inwonend -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.6.sch"/>
   <!-- entryRelationship_transfers_in_lig -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.60.sch"/>
   <!-- entryRelationship_houding_veranderen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.61.sch"/>
   <!-- component_houding_veranderen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.62.sch"/>
   <!-- entryRelationship_houding_veranderen_van_liggen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.63.sch"/>
   <!-- entryRelationship_houding_veranderen_van_zit -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.64.sch"/>
   <!-- entryRelationship_houding_veranderen_van_staan -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.65.sch"/>
   <!-- component_houding_handhaven -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.66.sch"/>
   <!-- entryRelationship_handhaven_van_liggende_houding -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.67.sch"/>
   <!-- entryRelationship_houding_handhaven_van_zit -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.68.sch"/>
   <!-- entryRelationship_houding_handhaven_van_staan -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.69.sch"/>
   <!-- Residence_and_accommodation_circumstances -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.7.sch"/>
   <!-- entryRelationship_verhoogd_valrisico -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.70.sch"/>
   <!-- entryRelationship_verhoogd_valrisico_aanwezig -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.71.sch"/>
   <!-- entryRelationship_valrisico_toelichting -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.72.sch"/>
   <!-- verpleegkundige_interventies -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.73.sch"/>
   <!-- entry_Wassen -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.74.sch"/>
   <!-- entryRelationship_wassen_bovenlichaam -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.76.sch"/>
   <!-- entryRelationship_wassen_gezicht -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.77.sch"/>
   <!-- entryRelationship_haarverzorging -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.78.sch"/>
   <!-- entryRelationship_wassen_onderlichaam -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.79.sch"/>
   <!-- Home_environment -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.8.sch"/>
   <!-- entry_Mond_verzorging -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.81.sch"/>
   <!-- entryRelationship_soort_ondersteuning_tandverz -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.83.sch"/>
   <!-- entryRelationship_prothese_aanwezig -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.84.sch"/>
   <!-- entryRelationship_orthothese_aanwezig -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.85.sch"/>
   <!-- entry_Aan-_en_uitkleden -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.87.sch"/>
   <!-- entryRelationship_bovenlichaam_Aan-_en_uitkleden -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.89.sch"/>
   <!-- Modification_of_house -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.9.sch"/>
   <!-- entryRelationship_onderlichaam_Aan-_en_uitkleden -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.90.sch"/>
   <!-- entry_Toiletgang -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.92.sch"/>
   <!-- entryRelationship_mictie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.94.sch"/>
   <!-- entryRelationship_defecatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.95.sch"/>
   <!-- entryRelationship_menstruatie -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.96.sch"/>
   <!-- entry_Eten_drinken -->
<include href="include/2.16.840.1.113883.2.4.6.10.30.2.98.sch"/>

</schema>