<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Description: Template voor de weergave van sectie Gezinssamenstelling en woonsituatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.1">
   <title>Sectie Gezinssamenstelling en woonsituatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]"
         id="tmp-abe46864-63b9-42cc-a98b-374209f44500">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:section)&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section"
         id="tmp-4778b304-8872-4251-8dd5-4cf91394b4f7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']/@nullFlavor)">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:code)&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:title)&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:text)&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]])&lt;=1">(Sectie_Gezinssamenstelling_en_woonsituatie): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.1']"
         id="tmp-22f4ba92-8b8f-47bf-a6a3-62a05cc8b833">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.1'">(Sectie_Gezinssamenstelling_en_woonsituatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.1' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Gezinssamenstelling_en_woonsituatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:code
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:code"
         id="tmp-f215be9b-31a6-4610-b2de-4ddb2f9db1e7">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Gezinssamenstelling_en_woonsituatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="@nullFlavor or (@code='11381-1' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Gezinssamenstelling_en_woonsituatie): de waarde van @code/@codeSystem MOET ''11381-1' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:title
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:title"
         id="tmp-f108c195-939b-47df-be18-55970bba5da3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Sectie_Gezinssamenstelling_en_woonsituatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:text
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1']]]"
         id="tmp-3c2c10d8-7579-4d40-82e9-8a846f06c68b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="@typeCode='DRIV'">(Sectie_Gezinssamenstelling_en_woonsituatie): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.1
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]]
Item: (Sectie_Gezinssamenstelling_en_woonsituatie)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.1']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.7']]]"
         id="tmp-98c28acf-f00b-460a-836b-a905b858226d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.1.html"
              test="@typeCode='DRIV'">(Sectie_Gezinssamenstelling_en_woonsituatie): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>