<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Description: Template voor de weergave van Sectie Voeding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.11">
   <title>Sectie Voeding</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]
Item: (Sectie_Voeding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]"
         id="tmp-3e681f7c-647d-4cdb-9240-c4bad000d9e3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Voeding): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="count(hl7:section)&lt;=1">(Sectie_Voeding): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section
Item: (Sectie_Voeding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section"
         id="tmp-2656bc27-50c1-4671-8d2f-b9dfe2bcf022">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']/@nullFlavor)">(Sectie_Voeding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11'])&lt;=1">(Sectie_Voeding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Voeding): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="count(hl7:code)&lt;=1">(Sectie_Voeding): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Voeding): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="count(hl7:title)&lt;=1">(Sectie_Voeding): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]]/@nullFlavor)">(Sectie_Voeding): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]])&lt;=1">(Sectie_Voeding): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']
Item: (Sectie_Voeding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.11']"
         id="tmp-a4c76bc5-5ec3-49ec-a3df-878e31916fbd">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Voeding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.11'">(Sectie_Voeding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.11' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Voeding): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section/hl7:code
Item: (Sectie_Voeding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section/hl7:code"
         id="tmp-3e7646ee-dfde-475a-bd4e-0d081a1c27b4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Voeding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="@nullFlavor or (@code='54540-0' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Voeding): de waarde van @code/@codeSystem MOET ''54540-0' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section/hl7:title
Item: (Sectie_Voeding)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.11
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]]
Item: (Sectie_Voeding)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.11']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.109']]]"
         id="tmp-66c20179-8c44-4db7-b932-7fafe1917393">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.11.html"
              test="@typeCode='DRIV'">(Sectie_Voeding): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>