<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Description: Template voor de weergave van Sectie Toediening systemen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.12">
   <title>Sectie Toediening systemen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]
Item: (Sectie_Toediening_systemen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]"
         id="tmp-650582a9-bfd8-435d-8c9a-bc97d63a24fb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Toediening_systemen): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="count(hl7:section)&lt;=1">(Sectie_Toediening_systemen): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section
Item: (Sectie_Toediening_systemen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section"
         id="tmp-aca9bd51-3768-4f66-9b28-79c11d5730d5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']/@nullFlavor)">(Sectie_Toediening_systemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12'])&lt;=1">(Sectie_Toediening_systemen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Toediening_systemen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="count(hl7:code)&lt;=1">(Sectie_Toediening_systemen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Toediening_systemen): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="count(hl7:title)&lt;=1">(Sectie_Toediening_systemen): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]]/@nullFlavor)">(Sectie_Toediening_systemen): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]])&lt;=1">(Sectie_Toediening_systemen): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']
Item: (Sectie_Toediening_systemen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.12']"
         id="tmp-1e069591-6e31-40df-b947-d86376aa31e5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Toediening_systemen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.12'">(Sectie_Toediening_systemen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.12' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Toediening_systemen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section/hl7:code
Item: (Sectie_Toediening_systemen)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section/hl7:code"
         id="tmp-b619d859-53f1-4c16-8334-28660893dbd8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Toediening_systemen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="@nullFlavor or (@code='54568-1' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Toediening_systemen): de waarde van @code/@codeSystem MOET ''54568-1' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section/hl7:title
Item: (Sectie_Toediening_systemen)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.12
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]]
Item: (Sectie_Toediening_systemen)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.12']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.116']]]"
         id="tmp-4481e46a-6b7e-467e-a0f8-4652dba6a86d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.12.html"
              test="@typeCode='DRIV'">(Sectie_Toediening_systemen): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>