<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Description: Template voor de weergave van Sectie Uitscheiding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.13">
   <title>Sectie Uitscheiding</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]
Item: (Sectie_Uitscheiding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]"
         id="tmp-55a438c4-c1d6-4a29-83dc-6ce11c3df4fa">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Uitscheiding): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="count(hl7:section)&lt;=1">(Sectie_Uitscheiding): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section
Item: (Sectie_Uitscheiding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section"
         id="tmp-e6445fbd-b7ed-4b12-a42a-b9f9eda6fb1c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']/@nullFlavor)">(Sectie_Uitscheiding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13'])&lt;=1">(Sectie_Uitscheiding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Uitscheiding): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="count(hl7:code)&lt;=1">(Sectie_Uitscheiding): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Uitscheiding): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="count(hl7:title)&lt;=1">(Sectie_Uitscheiding): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.124']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.124']]]/@nullFlavor)">(Sectie_Uitscheiding): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.124']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.124']]])&lt;=1">(Sectie_Uitscheiding): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.124']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']
Item: (Sectie_Uitscheiding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.13']"
         id="tmp-b3f5b422-2def-4aa3-b12a-af5957b4a5a6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Uitscheiding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.13'">(Sectie_Uitscheiding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.13' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Uitscheiding): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section/hl7:code
Item: (Sectie_Uitscheiding)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section/hl7:code"
         id="tmp-f9c70f79-7bed-4e64-8174-d45c992bc7d2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Uitscheiding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="@nullFlavor or (@code='63911002' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Uitscheiding): de waarde van @code/@codeSystem MOET ''63911002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section/hl7:title
Item: (Sectie_Uitscheiding)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.13
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.124']]]
Item: (Sectie_Uitscheiding)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.13']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.124']]]"
         id="tmp-654b0dd3-71f1-4c41-abd7-b4583e17c0e1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.13.html"
              test="@typeCode='DRIV'">(Sectie_Uitscheiding): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>