<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Description: Template voor de weergave van Sectie Algemene mentale functies
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.20">
   <title>Sectie Algemene mentale functies</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]
Item: (Sectie_Algemene_mentale_functies)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]"
         id="tmp-49436afc-7ae7-4298-850e-ef9f7c64bf7e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Algemene_mentale_functies): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="count(hl7:section)&lt;=1">(Sectie_Algemene_mentale_functies): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section
Item: (Sectie_Algemene_mentale_functies)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section"
         id="tmp-7c6c36b5-84cf-471b-8e43-cc32c4c817be">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']/@nullFlavor)">(Sectie_Algemene_mentale_functies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20'])&lt;=1">(Sectie_Algemene_mentale_functies): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Algemene_mentale_functies): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="count(hl7:code)&lt;=1">(Sectie_Algemene_mentale_functies): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Algemene_mentale_functies): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="count(hl7:title)&lt;=1">(Sectie_Algemene_mentale_functies): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.199']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.199']]]/@nullFlavor)">(Sectie_Algemene_mentale_functies): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.199']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.199']]])&lt;=1">(Sectie_Algemene_mentale_functies): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.199']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']
Item: (Sectie_Algemene_mentale_functies)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.20']"
         id="tmp-10459d4e-7a9c-4f9c-aeef-b961dbd74ad6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Algemene_mentale_functies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.20'">(Sectie_Algemene_mentale_functies): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.20' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Algemene_mentale_functies): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section/hl7:code
Item: (Sectie_Algemene_mentale_functies)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section/hl7:code"
         id="tmp-b132b0d3-b8c3-488c-b2dc-adbdac035915">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Algemene_mentale_functies): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="@nullFlavor or (@code='285231000' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Algemene_mentale_functies): de waarde van @code/@codeSystem MOET ''285231000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section/hl7:title
Item: (Sectie_Algemene_mentale_functies)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.20
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.199']]]
Item: (Sectie_Algemene_mentale_functies)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.20']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.199']]]"
         id="tmp-e1d855f8-c82d-46a9-8c65-d27e037fb903">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.20.html"
              test="@typeCode='DRIV'">(Sectie_Algemene_mentale_functies): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>