<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Description: Template voor de weergave van Sectie Ziekte beleving
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.22">
   <title>Sectie Ziekte beleving</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]
Item: (Sectie_Ziekte_beleving)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]"
         id="tmp-6e65e9b8-6ee1-4cda-9efa-965ad185e648">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Ziekte_beleving): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="count(hl7:section)&lt;=1">(Sectie_Ziekte_beleving): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section
Item: (Sectie_Ziekte_beleving)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section"
         id="tmp-cf0fa295-de41-44b7-abe8-73f3c8957590">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']/@nullFlavor)">(Sectie_Ziekte_beleving): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22'])&lt;=1">(Sectie_Ziekte_beleving): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Ziekte_beleving): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="count(hl7:code)&lt;=1">(Sectie_Ziekte_beleving): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Ziekte_beleving): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="count(hl7:title)&lt;=1">(Sectie_Ziekte_beleving): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]]/@nullFlavor)">(Sectie_Ziekte_beleving): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]])&lt;=1">(Sectie_Ziekte_beleving): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']
Item: (Sectie_Ziekte_beleving)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.22']"
         id="tmp-009a3414-2b61-4b65-85bd-1646f496d9d3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Ziekte_beleving): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.22'">(Sectie_Ziekte_beleving): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.22' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Ziekte_beleving): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section/hl7:code
Item: (Sectie_Ziekte_beleving)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section/hl7:code"
         id="tmp-25e629c2-4ddb-4dfa-87a8-a25612443abe">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Ziekte_beleving): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="@nullFlavor or (@code='363910003' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Ziekte_beleving): de waarde van @code/@codeSystem MOET ''363910003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section/hl7:title
Item: (Sectie_Ziekte_beleving)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.22
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]]
Item: (Sectie_Ziekte_beleving)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.22']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.230']]]"
         id="tmp-b833ab37-40e4-43da-ac8a-b819022a1f38">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.22.html"
              test="@typeCode='DRIV'">(Sectie_Ziekte_beleving): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>