<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Description: Template voor de weergave van Sectie Meetwaarden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.4">
   <title>Sectie Meetwaarden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]
Item: (Sectie_Meetwaarden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]"
         id="tmp-ec7eedde-7433-48f5-ac1d-0be0ddf42087">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Meetwaarden): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="count(hl7:section)&lt;=1">(Sectie_Meetwaarden): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section
Item: (Sectie_Meetwaarden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section"
         id="tmp-9d778ff6-6e64-4e68-b790-2f4c0748f249">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']/@nullFlavor)">(Sectie_Meetwaarden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'])&lt;=1">(Sectie_Meetwaarden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Meetwaarden): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="count(hl7:code)&lt;=1">(Sectie_Meetwaarden): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Meetwaarden): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="count(hl7:title)&lt;=1">(Sectie_Meetwaarden): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.38']]])&lt;=1">(Sectie_Meetwaarden): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.38']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']
Item: (Sectie_Meetwaarden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.4']"
         id="tmp-af33a5e2-0e41-454c-b243-f56229ecae0a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.4'">(Sectie_Meetwaarden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.4' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Meetwaarden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section/hl7:code
Item: (Sectie_Meetwaarden)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section/hl7:code"
         id="tmp-1327ef08-afb9-4994-9914-f3c85851b532">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="@nullFlavor or (@code='29274-8' and @codeSystem='2.16.840.1.113883.6.1')">(Sectie_Meetwaarden): de waarde van @code/@codeSystem MOET ''29274-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section/hl7:title
Item: (Sectie_Meetwaarden)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.4
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.38']]]
Item: (Sectie_Meetwaarden)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.4']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.38']]]"
         id="tmp-394de1cc-2954-43f6-bd86-cd54af91b037">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.4.html"
              test="@typeCode='DRIV'">(Sectie_Meetwaarden): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>