<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.157
Description: Template voor de weergave van locatie – huidletsel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.157">
   <title>locatie – huidletsel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.157
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.157']]
Item: (locatie_huidletsel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.157']]"
         id="tmp-f8b59757-95a8-471a-91ae-5676440e4123">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(locatie_huidletsel): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="count(hl7:observation)&lt;=1">(locatie_huidletsel): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.157
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.157']]/hl7:observation
Item: (locatie_huidletsel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.157']]/hl7:observation"
         id="tmp-9999d3d0-7a8e-44c6-95a7-bd5b3da114bd">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="@classCode='OBS'">(locatie_huidletsel): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="@moodCode='EVN'">(locatie_huidletsel): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157']/@nullFlavor)">(locatie_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157'])&lt;=1">(locatie_huidletsel): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(locatie_huidletsel): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="count(hl7:code)&lt;=1">(locatie_huidletsel): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(locatie_huidletsel): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="count(hl7:value)&lt;=1">(locatie_huidletsel): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.157
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.157']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157']
Item: (locatie_huidletsel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.157']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.157']"
         id="tmp-1a19cf3d-8036-459b-a299-d25cc0c405fa">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(locatie_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.157'">(locatie_huidletsel): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.157' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(locatie_huidletsel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.157
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.157']]/hl7:observation/hl7:code
Item: (locatie_huidletsel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.157']]/hl7:observation/hl7:code"
         id="tmp-60d866b7-3ffd-45a0-9755-b7e66ce9c48a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(locatie_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="@nullFlavor or (@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')">(locatie_huidletsel): de waarde van @code/@codeSystem MOET ''363698007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.157
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.157']]/hl7:observation/hl7:value
Item: (locatie_huidletsel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.157']]/hl7:observation/hl7:value"
         id="tmp-a8b0b4d5-4419-4057-ba53-64c346ce7b2d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.157.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(locatie_huidletsel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>