<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.170
Description: Doorslapen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.170">
   <title>doorslapen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.170
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.170']]
Item: (doorslapen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.170']]"
         id="tmp-2e10e4b8-a8d2-411b-9cc5-4a6bb9a48ea6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(doorslapen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="count(hl7:observation)&lt;=1">(doorslapen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.170
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.170']]/hl7:observation
Item: (doorslapen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.170']]/hl7:observation"
         id="tmp-a09dc442-950d-40d2-ba7e-50b6e921f68d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.170'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.170']/@nullFlavor)">(doorslapen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.170'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.170'])&lt;=1">(doorslapen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.170'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(doorslapen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="count(hl7:code)&lt;=1">(doorslapen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(doorslapen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="count(hl7:value)&lt;=1">(doorslapen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.170
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.170']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.170']
Item: (doorslapen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.170']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.170']"
         id="tmp-12e39f57-5720-44f7-9695-67868dc59b22">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(doorslapen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.170'">(doorslapen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.170' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(doorslapen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.170
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.170']]/hl7:observation/hl7:code
Item: (doorslapen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.170']]/hl7:observation/hl7:code"
         id="tmp-b0d5bc88-cc87-4213-a54f-fbe15faac101">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(doorslapen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="@nullFlavor or (@code='b1342' and @codeSystem='2.16.840.1.113883.6.254')">(doorslapen): de waarde van @code/@codeSystem MOET ''b1342' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.170
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.170']]/hl7:observation/hl7:value
Item: (doorslapen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.170']]/hl7:observation/hl7:value"
         id="tmp-10b12f23-fdaa-41ff-8321-fd5287f8be7c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(doorslapen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.170.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(doorslapen): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(doorslapen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>