<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Description: Template voor de weergave van hulpmiddelen bij zien
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.176">
   <title>hulpmiddelen bij zien</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]
Item: (hulpmiddelen_bij_zien)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]"
         id="tmp-5195f715-669a-4ec5-98c8-e3d50e610b52">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="count(hl7:supply)&gt;=1 and not(hl7:supply/@nullFlavor)">(hulpmiddelen_bij_zien): element hl7:supply is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="count(hl7:supply)&lt;=1">(hulpmiddelen_bij_zien): element hl7:supply komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply
Item: (hulpmiddelen_bij_zien)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply"
         id="tmp-9fa621a8-0e6e-43bc-a600-61124cc4c667">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="@classCode='SPLY'">(hulpmiddelen_bij_zien): de waarde van @classCode MOET 'SPLY' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="@moodCode='EVN'">(hulpmiddelen_bij_zien): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']/@nullFlavor)">(hulpmiddelen_bij_zien): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176'])&lt;=1">(hulpmiddelen_bij_zien): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(hulpmiddelen_bij_zien): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="count(hl7:code)&lt;=1">(hulpmiddelen_bij_zien): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="count(hl7:statusCode)&lt;=1">(hulpmiddelen_bij_zien): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]])&gt;=1 and not(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]]/@nullFlavor)">(hulpmiddelen_bij_zien): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="count(hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]])&lt;=1">(hulpmiddelen_bij_zien): element hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']
Item: (hulpmiddelen_bij_zien)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.176']"
         id="tmp-51c5917b-0ffb-40e6-9093-621de3857537">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(hulpmiddelen_bij_zien): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.176'">(hulpmiddelen_bij_zien): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.176' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(hulpmiddelen_bij_zien): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply/hl7:code
Item: (hulpmiddelen_bij_zien)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply/hl7:code"
         id="tmp-7235f33a-ab6a-4744-a4b7-91b3cbde3308">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(hulpmiddelen_bij_zien): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="@nullFlavor or (@code='257192006' and @codeSystem='2.16.840.1.113883.6.96')">(hulpmiddelen_bij_zien): de waarde van @code/@codeSystem MOET ''257192006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply/hl7:statusCode
Item: (hulpmiddelen_bij_zien)
-->

<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply/hl7:statusCode"
         id="tmp-52deac53-bfe2-4c1c-953e-892d73b6d04c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(hulpmiddelen_bij_zien): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="@nullFlavor or (@code='completed')">(hulpmiddelen_bij_zien): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.176
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]]
Item: (hulpmiddelen_bij_zien)
-->
<rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.176']]/hl7:supply/hl7:product[hl7:manufacturedProduct[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.177']]]"
         id="tmp-d7d0bb32-4334-4777-9f42-92a2edf690f9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.176.html"
              test="@typeCode='PRD' or not(@typeCode)">(hulpmiddelen_bij_zien): de waarde van @typeCode MOET 'PRD' zijn.</assert>
   </rule>
</pattern>