<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Description: overig tast reuk smaak
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.181">
   <title>overig tast reuk smaak</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]
Item: (overig_tast_reuk_smaak)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]"
         id="tmp-6aac5270-d77b-43a6-a104-8c6fdcff0e29">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(overig_tast_reuk_smaak): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="count(hl7:observation)&lt;=1">(overig_tast_reuk_smaak): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation
Item: (overig_tast_reuk_smaak)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation"
         id="tmp-70c4530d-fa5d-4e67-87b0-b786e89f8f8d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="@classCode='OBS'">(overig_tast_reuk_smaak): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="@moodCode='EVN'">(overig_tast_reuk_smaak): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181']/@nullFlavor)">(overig_tast_reuk_smaak): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181'])&lt;=1">(overig_tast_reuk_smaak): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(overig_tast_reuk_smaak): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="count(hl7:code)&lt;=1">(overig_tast_reuk_smaak): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(overig_tast_reuk_smaak): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="count(hl7:value)&lt;=1">(overig_tast_reuk_smaak): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181']
Item: (overig_tast_reuk_smaak)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.181']"
         id="tmp-2c73b0b0-c901-4966-9f6b-a597af421bd2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(overig_tast_reuk_smaak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.181'">(overig_tast_reuk_smaak): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.181' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(overig_tast_reuk_smaak): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation/hl7:code
Item: (overig_tast_reuk_smaak)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation/hl7:code"
         id="tmp-a21eb2a9-7bcd-4b46-b80d-1bfee6d3c906">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(overig_tast_reuk_smaak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="@nullFlavor or (@code='271712005' and @codeSystem='2.16.840.1.113883.6.96')">(overig_tast_reuk_smaak): de waarde van @code/@codeSystem MOET ''271712005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.181
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation/hl7:value
Item: (overig_tast_reuk_smaak)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.181']]/hl7:observation/hl7:value"
         id="tmp-96e161bd-6387-4582-9c9d-87b42413487c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.181.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(overig_tast_reuk_smaak): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>