<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Description: locatie pijn
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.184">
   <title>locatie pijn</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]
Item: (locatie_pijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]"
         id="tmp-17a85328-2587-4a75-9e40-7d1cbb8280f8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(locatie_pijn): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="count(hl7:observation)&lt;=1">(locatie_pijn): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation
Item: (locatie_pijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation"
         id="tmp-b4952d2d-bcf6-41b0-b25c-a8ce051441b5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="@classCode='OBS'">(locatie_pijn): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="@moodCode='EVN'">(locatie_pijn): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']/@nullFlavor)">(locatie_pijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184'])&lt;=1">(locatie_pijn): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(locatie_pijn): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="count(hl7:code)&lt;=1">(locatie_pijn): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(locatie_pijn): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="count(hl7:value)&lt;=1">(locatie_pijn): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']
Item: (locatie_pijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.184']"
         id="tmp-b1d4d787-29e0-4acf-9751-4316cae3ed01">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(locatie_pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.184'">(locatie_pijn): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.184' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(locatie_pijn): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation/hl7:code
Item: (locatie_pijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation/hl7:code"
         id="tmp-77c0ce0e-b524-482e-b5dc-2e1d8142c7c6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(locatie_pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="@nullFlavor or (@code='363698007' and @codeSystem='2.16.840.1.113883.6.96')">(locatie_pijn): de waarde van @code/@codeSystem MOET ''363698007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.184
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation/hl7:value
Item: (locatie_pijn)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.184']]/hl7:observation/hl7:value"
         id="tmp-cd5b0a2c-b6fe-4a84-8b5c-9a9c5018e0eb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.184.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(locatie_pijn): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>