<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Description: Template voor de weergave van besproken met wettelijke vertegenwoordiger
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.197">
   <title>besproken met wettelijke vertegenwoordiger</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]"
         id="tmp-78df713b-a362-4b1b-80c2-3f64488954a2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:observation)&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation"
         id="tmp-e9457f81-7628-4c69-a186-99884c0e409d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="@classCode='OBS'">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="@moodCode='EVN'">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'])&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:code)&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.197']"
         id="tmp-186090e6-5c65-4298-88f2-451dbb9d5304">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(besproken_met_wettelijke_vertegenwoordiger): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.197'">(besproken_met_wettelijke_vertegenwoordiger): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.197' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(besproken_met_wettelijke_vertegenwoordiger): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation/hl7:code
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation/hl7:code"
         id="tmp-ace16a84-5623-4c4e-a2ad-9c67e93df412">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(besproken_met_wettelijke_vertegenwoordiger): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="@nullFlavor or (@code='420165002' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @code/@codeSystem MOET ''420165002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:qualifier)&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation/hl7:code/hl7:qualifier
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation/hl7:code/hl7:qualifier"
         id="tmp-5cff015b-98d6-4c98-8155-5f88bb5fa13a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:name)&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(besproken_met_wettelijke_vertegenwoordiger): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="count(hl7:value)&lt;=1">(besproken_met_wettelijke_vertegenwoordiger): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation/hl7:code/hl7:qualifier/hl7:name
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation/hl7:code/hl7:qualifier/hl7:name"
         id="tmp-a4d35099-2b8b-4305-8225-8246182bd070">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="@nullFlavor or (@code='408732007' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @code/@codeSystem MOET ''408732007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.197
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation/hl7:code/hl7:qualifier/hl7:value
Item: (besproken_met_wettelijke_vertegenwoordiger)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.197']]/hl7:observation/hl7:code/hl7:qualifier/hl7:value"
         id="tmp-9fcf696d-ef65-40a7-8d77-e80469c0fad0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.197.html"
              test="@nullFlavor or (@code='58626002' and @codeSystem='2.16.840.1.113883.6.96')">(besproken_met_wettelijke_vertegenwoordiger): de waarde van @code/@codeSystem MOET ''58626002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>