<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.21
Description: Template voor de weergave van Allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.21">
   <title>allergie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.21
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]
Item: (Allergie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]"
         id="tmp-6638607b-49e3-4956-9d70-8ef23bb3d840">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="count(hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]])&gt;=1 and not(hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/@nullFlavor)">(Allergie): element hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="count(hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]])&lt;=1">(Allergie): element hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]] komt te vaak voor [max 1x].</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.21
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]/hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]
Item: (Allergie)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]/hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]"
         id="tmp-480d87d2-99fb-43b7-9db2-7ec7c596a78d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="@classCode='OBS'">(Allergie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="@moodCode='EVN'">(Allergie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']/@nullFlavor)">(Allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21'])&lt;=1">(Allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Allergie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="count(hl7:code)&lt;=1">(Allergie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Allergie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="count(hl7:value)&lt;=1">(Allergie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.21
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]/hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']
Item: (Allergie)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]/hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.21']"
         id="tmp-94cd6bdb-40e7-48b8-84be-62f5f7f6cd92">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.21'">(Allergie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.21' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Allergie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.21
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]/hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:code
Item: (Allergie)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]/hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:code"
         id="tmp-4644daf3-69f7-44fd-80ce-075bd5e9bfae">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="@nullFlavor or (@code='48765-2' and @codeSystem='2.16.840.1.113883.6.1')">(Allergie): de waarde van @code/@codeSystem MOET ''48765-2' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.21
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]/hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:value
Item: (Allergie)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.21']]/hl7:observation[hl7:informant[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']]]/hl7:value"
         id="tmp-7eaa1498-9359-4cf1-a94e-ba463930ecfb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.21.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(Allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>