<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Description: Template voor de weergave van verbale communicatie zich_kunnen_uiten
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.226">
   <title>verbale communicatie zich_kunnen_uiten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]
Item: (verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]"
         id="tmp-bae26314-8a35-486d-b321-70077b81c1cb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(verbale_communicatie_zich_kunnen_uiten): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="count(hl7:observation)&lt;=1">(verbale_communicatie_zich_kunnen_uiten): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation
Item: (verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation"
         id="tmp-0780625a-775f-440c-bb36-8d0db86035cc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="@classCode='OBS'">(verbale_communicatie_zich_kunnen_uiten): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="@moodCode='EVN'">(verbale_communicatie_zich_kunnen_uiten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226']/@nullFlavor)">(verbale_communicatie_zich_kunnen_uiten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226'])&lt;=1">(verbale_communicatie_zich_kunnen_uiten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(verbale_communicatie_zich_kunnen_uiten): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="count(hl7:code)&lt;=1">(verbale_communicatie_zich_kunnen_uiten): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(verbale_communicatie_zich_kunnen_uiten): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="count(hl7:value)&lt;=1">(verbale_communicatie_zich_kunnen_uiten): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226']
Item: (verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.226']"
         id="tmp-69e170ed-a190-4cfd-a41c-21e0c09145db">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(verbale_communicatie_zich_kunnen_uiten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.226'">(verbale_communicatie_zich_kunnen_uiten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.226' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(verbale_communicatie_zich_kunnen_uiten): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation/hl7:code
Item: (verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation/hl7:code"
         id="tmp-0f8ef7df-1855-43de-b4db-80aee4581d5f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(verbale_communicatie_zich_kunnen_uiten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="@nullFlavor or (@code='d330' and @codeSystem='2.16.840.1.113883.6.254')">(verbale_communicatie_zich_kunnen_uiten): de waarde van @code/@codeSystem MOET ''d330' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.226
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation/hl7:value
Item: (verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.226']]/hl7:observation/hl7:value"
         id="tmp-c56eb319-5119-4d95-8a1f-4063947c02bb">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(verbale_communicatie_zich_kunnen_uiten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.226.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(verbale_communicatie_zich_kunnen_uiten): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(verbale_communicatie_zich_kunnen_uiten): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>