<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Description: Template voor de weergave van entry Overig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.256">
   <title>entry Overig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]
Item: (entry_Overig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]"
         id="tmp-876f1445-eef8-4e1b-860b-0c3399532a12">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entry_Overig): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="count(hl7:observation)&lt;=1">(entry_Overig): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation
Item: (entry_Overig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation"
         id="tmp-fdaa8011-b797-4add-aff8-6c4ff3f02755">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="@classCode='OBS'">(entry_Overig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="@moodCode='EVN'">(entry_Overig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']/@nullFlavor)">(entry_Overig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256'])&lt;=1">(entry_Overig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entry_Overig): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="count(hl7:code)&lt;=1">(entry_Overig): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="count(hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']]])&lt;=1">(entry_Overig): element hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]])&lt;=1">(entry_Overig): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="count(hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']]])&lt;=1">(entry_Overig): element hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']
Item: (entry_Overig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.256']"
         id="tmp-de9c1825-6cc6-40c0-8e41-86a2f892bd9f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entry_Overig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.256'">(entry_Overig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.256' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entry_Overig): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation/hl7:code
Item: (entry_Overig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation/hl7:code"
         id="tmp-2c934936-043b-4b8f-ac4d-4894cedf2f52">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entry_Overig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="@nullFlavor or (@code='405624007' and @codeSystem='2.16.840.1.113883.6.96')">(entry_Overig): de waarde van @code/@codeSystem MOET ''405624007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']]]
Item: (entry_Overig)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.257']]]"
         id="tmp-0ccac9ab-e172-421b-a8f1-cb4c101bf686">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="@typeCode='COMP'">(entry_Overig): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]]
Item: (entry_Overig)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.259']]]"
         id="tmp-c2c47838-1f42-483b-a28e-627bad57dc5a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="@typeCode='COMP'">(entry_Overig): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.256
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']]]
Item: (entry_Overig)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.256']]/hl7:observation/hl7:entryRelationship[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.260']]]"
         id="tmp-6b664f53-544c-41e2-b69c-3ca672572139">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.256.html"
              test="@typeCode='COMP'">(entry_Overig): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>