<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Description: Template: entryRelationship gemaakte afspraken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.33">
   <title>gemaakte afspraken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]
Item: (entryRelationship_gemaakte_afspraken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]"
         id="tmp-19775003-0bae-494b-ba83-483c752fc895">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_gemaakte_afspraken): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_gemaakte_afspraken): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation
Item: (entryRelationship_gemaakte_afspraken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation"
         id="tmp-4303703b-aa69-44d6-aeb4-cd58d2e3eca5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="@classCode='OBS'">(entryRelationship_gemaakte_afspraken): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="@moodCode='EVN'">(entryRelationship_gemaakte_afspraken): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']/@nullFlavor)">(entryRelationship_gemaakte_afspraken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33'])&lt;=1">(entryRelationship_gemaakte_afspraken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_gemaakte_afspraken): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_gemaakte_afspraken): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_gemaakte_afspraken): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_gemaakte_afspraken): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]])&lt;=1">(entryRelationship_gemaakte_afspraken): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']
Item: (entryRelationship_gemaakte_afspraken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.33']"
         id="tmp-2e45c84a-0bb7-42ef-920b-61127078acad">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_gemaakte_afspraken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.33'">(entryRelationship_gemaakte_afspraken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.33' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_gemaakte_afspraken): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation/hl7:code
Item: (entryRelationship_gemaakte_afspraken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation/hl7:code"
         id="tmp-d895e1e0-5298-48ce-bd36-74558462a7ae">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_gemaakte_afspraken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="@nullFlavor or (@code='288834001' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_gemaakte_afspraken): de waarde van @code/@codeSystem MOET ''288834001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation/hl7:value
Item: (entryRelationship_gemaakte_afspraken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation/hl7:value"
         id="tmp-42e9b07c-4e4d-4d81-9caa-8864cdad3bd0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_gemaakte_afspraken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.33
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]
Item: (entryRelationship_gemaakte_afspraken)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.33']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.34']]]"
         id="tmp-9c5b8c4f-5bd9-4a2c-a8c9-efcb77fbd2ea">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.33.html"
              test="@typeCode='REFR'">(entryRelationship_gemaakte_afspraken): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>