<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.43
Description: Template: Pols frequentie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.43">
   <title>pols frequentie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]
Item: (entryRelationship_pols_frequentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]"
         id="tmp-0abeb88c-7f67-4b4e-97d8-7487b17a69c3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_pols_frequentie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_pols_frequentie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation
Item: (entryRelationship_pols_frequentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation"
         id="tmp-c9d09baf-d19f-4adb-b6bd-a87730ccb812">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="@classCode='OBS'">(entryRelationship_pols_frequentie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="@moodCode='EVN'">(entryRelationship_pols_frequentie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.43'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.43']/@nullFlavor)">(entryRelationship_pols_frequentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.43'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.43'])&lt;=1">(entryRelationship_pols_frequentie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.43'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_pols_frequentie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_pols_frequentie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="count(hl7:effectiveTime)&lt;=1">(entryRelationship_pols_frequentie): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_pols_frequentie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_pols_frequentie): element hl7:value komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.44']]])&lt;=1">(entryRelationship_pols_frequentie): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.44']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.43']
Item: (entryRelationship_pols_frequentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.43']"
         id="tmp-3a475520-b5fa-4bc5-94ab-9bf07c2a4b93">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_pols_frequentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.43'">(entryRelationship_pols_frequentie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.43' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_pols_frequentie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation/hl7:code
Item: (entryRelationship_pols_frequentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation/hl7:code"
         id="tmp-6d112707-6deb-49b5-8ec4-628314486f95">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_pols_frequentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="@nullFlavor or (@code='78564009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_pols_frequentie): de waarde van @code/@codeSystem MOET ''78564009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation/hl7:effectiveTime
Item: (entryRelationship_pols_frequentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation/hl7:effectiveTime"
         id="tmp-41210e6e-868e-4a55-b998-23d01f4613d5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(entryRelationship_pols_frequentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation/hl7:value
Item: (entryRelationship_pols_frequentie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation/hl7:value"
         id="tmp-b81ca708-650f-4607-8021-6cf609f60998">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="@nullFlavor or @xsi:type='PQ' or not(@xsi:type)">(entryRelationship_pols_frequentie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="(@nullFlavor or (@unit='/min' and number($theValue)&gt;=0))">(entryRelationship_pols_frequentie): value MOET eenheid '/min' gebruiken en in bereik [0..] liggen  </assert>
      <let name="digitok"
           value="matches($theValue, '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="$digitok">(entryRelationship_pols_frequentie): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-ucum.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(entryRelationship_pols_frequentie): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.43
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.44']]]
Item: (entryRelationship_pols_frequentie)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.43']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.44']]]"
         id="tmp-cb268b55-38c5-4e3b-90a4-f442a3e61eb6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.43.html"
              test="@typeCode='REFR'">(entryRelationship_pols_frequentie): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>