<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Description: Template: entryRelationship overige meetwaarden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.52">
   <title>overige meetwaarden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]
Item: (entryRelationship_overige_meetwaarden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]"
         id="tmp-4a43d3e3-29b5-4121-aaff-537a44c85639">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_overige_meetwaarden): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_overige_meetwaarden): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation
Item: (entryRelationship_overige_meetwaarden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation"
         id="tmp-601299e0-a76f-4a40-a6be-41b8f5b3b64a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="@classCode='OBS'">(entryRelationship_overige_meetwaarden): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="@moodCode='EVN'">(entryRelationship_overige_meetwaarden): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']/@nullFlavor)">(entryRelationship_overige_meetwaarden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52'])&lt;=1">(entryRelationship_overige_meetwaarden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_overige_meetwaarden): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_overige_meetwaarden): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="count(hl7:effectiveTime)&lt;=1">(entryRelationship_overige_meetwaarden): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_overige_meetwaarden): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_overige_meetwaarden): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']
Item: (entryRelationship_overige_meetwaarden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.52']"
         id="tmp-05d68ad8-2e22-4aa3-a81e-e0b2a98227ee">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_overige_meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.52'">(entryRelationship_overige_meetwaarden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.52' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_overige_meetwaarden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation/hl7:code
Item: (entryRelationship_overige_meetwaarden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation/hl7:code"
         id="tmp-34f3f809-3243-4761-a057-9d6c9cedda62">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_overige_meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="@nullFlavor or (@code='118245000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_overige_meetwaarden): de waarde van @code/@codeSystem MOET ''118245000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation/hl7:effectiveTime
Item: (entryRelationship_overige_meetwaarden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation/hl7:effectiveTime"
         id="tmp-8389769e-66b1-47fa-ac8d-e0d27d283f98">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="@nullFlavor or @xsi:type='TS' or not(@xsi:type)">(entryRelationship_overige_meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TS" bevatten</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.52
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation/hl7:value
Item: (entryRelationship_overige_meetwaarden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.52']]/hl7:observation/hl7:value"
         id="tmp-96ad909b-9c8d-45d5-8c8d-2700f9961002">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.52.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_overige_meetwaarden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>