<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Description: Template voor de weergave van voortbewegen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.55">
   <title>voortbewegen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]
Item: (entryRelationship_voortbewegen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]"
         id="tmp-9fa609ca-527b-461f-a12e-dec833e203d8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_voortbewegen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_voortbewegen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation
Item: (entryRelationship_voortbewegen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation"
         id="tmp-bfe2ebd1-4f6d-4e77-81c2-f65116b6a5dd">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="@classCode='OBS'">(entryRelationship_voortbewegen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="@moodCode='EVN'">(entryRelationship_voortbewegen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']/@nullFlavor)">(entryRelationship_voortbewegen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55'])&lt;=1">(entryRelationship_voortbewegen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_voortbewegen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_voortbewegen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']]])&lt;=1">(entryRelationship_voortbewegen): element hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="count(hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]])&lt;=1">(entryRelationship_voortbewegen): element hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']
Item: (entryRelationship_voortbewegen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.55']"
         id="tmp-0fe74bab-7991-4401-b86b-18cf0b94107e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_voortbewegen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.55'">(entryRelationship_voortbewegen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.55' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_voortbewegen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation/hl7:code
Item: (entryRelationship_voortbewegen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation/hl7:code"
         id="tmp-00851bfb-aa3a-4bf7-ae16-2a93d34b5785">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_voortbewegen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="@nullFlavor or (@code='282097004' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_voortbewegen): de waarde van @code/@codeSystem MOET ''282097004' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']]]
Item: (entryRelationship_voortbewegen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation/hl7:entryRelationship[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.56']]]"
         id="tmp-5d3680d3-8829-4a85-b782-85d6bab2a302">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="@typeCode='REFR'">(entryRelationship_voortbewegen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.55
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]]
Item: (entryRelationship_voortbewegen)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.55']]/hl7:observation/hl7:entryRelationship[hl7:supply[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.57']]]"
         id="tmp-3cbba78d-4367-4284-9878-9089b0118d95">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.55.html"
              test="@typeCode='REFR'">(entryRelationship_voortbewegen): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>