<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Description: Template voor de weergave van houding veranderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.61">
   <title>houding veranderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]
Item: (entryRelationship_houding_veranderen)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]"
         id="tmp-61096675-43e4-422c-9104-e94fe4afd550">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="count(hl7:organizer)&gt;=1 and not(hl7:organizer/@nullFlavor)">(entryRelationship_houding_veranderen): element hl7:organizer is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="count(hl7:organizer)&lt;=1">(entryRelationship_houding_veranderen): element hl7:organizer komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer
Item: (entryRelationship_houding_veranderen)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer"
         id="tmp-e2488d7c-572e-4d10-b50b-f31d1ba8019c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="@classCode='CLUSTER'">(entryRelationship_houding_veranderen): de waarde van @classCode MOET 'CLUSTER' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="@moodCode='EVN'">(entryRelationship_houding_veranderen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']/@nullFlavor)">(entryRelationship_houding_veranderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'])&lt;=1">(entryRelationship_houding_veranderen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_houding_veranderen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_houding_veranderen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="count(hl7:statusCode)&lt;=1">(entryRelationship_houding_veranderen): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62']]])&lt;=1">(entryRelationship_houding_veranderen): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62']]] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="count(hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]])&lt;=1">(entryRelationship_houding_veranderen): element hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']
Item: (entryRelationship_houding_veranderen)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.61']"
         id="tmp-9ee0e294-d0b1-4baf-b82c-d0ceac2ce9c2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.61'">(entryRelationship_houding_veranderen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.61' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_houding_veranderen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer/hl7:code
Item: (entryRelationship_houding_veranderen)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer/hl7:code"
         id="tmp-d1056327-b256-46dd-950d-a9b143b656df">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="@nullFlavor or (@code='282830003' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_houding_veranderen): de waarde van @code/@codeSystem MOET ''282830003' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer/hl7:statusCode
Item: (entryRelationship_houding_veranderen)
-->

<rule context="*[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer/hl7:statusCode"
         id="tmp-e9dfc2a1-781a-4e49-a9a8-ccee7dbcb101">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="@nullFlavor or @xsi:type='CS' or not(@xsi:type)">(entryRelationship_houding_veranderen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.61.html"
              test="@nullFlavor or (@code='completed')">(entryRelationship_houding_veranderen): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.62']]]
Item: (entryRelationship_houding_veranderen)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.61
Context: *[hl7:organizer[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.61']]/hl7:organizer/hl7:component[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.66']]]
Item: (entryRelationship_houding_veranderen)
--></pattern>