<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Description: Template voor de weergave van houding veranderen van liggen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.63">
   <title>houding veranderen van liggen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]
Item: (entryRelationship_houding_veranderen_van_liggen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]"
         id="tmp-19d241e8-beb8-4a0a-928a-e780c3bbba3f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_houding_veranderen_van_liggen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_houding_veranderen_van_liggen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation
Item: (entryRelationship_houding_veranderen_van_liggen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation"
         id="tmp-81ba6814-7169-4222-a5e9-805310a16459">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="@classCode='OBS'">(entryRelationship_houding_veranderen_van_liggen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="@moodCode='EVN'">(entryRelationship_houding_veranderen_van_liggen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']/@nullFlavor)">(entryRelationship_houding_veranderen_van_liggen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63'])&lt;=1">(entryRelationship_houding_veranderen_van_liggen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_houding_veranderen_van_liggen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_houding_veranderen_van_liggen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_houding_veranderen_van_liggen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_houding_veranderen_van_liggen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']
Item: (entryRelationship_houding_veranderen_van_liggen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.63']"
         id="tmp-b0780b22-6f79-499b-a305-da3650972797">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_houding_veranderen_van_liggen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.63'">(entryRelationship_houding_veranderen_van_liggen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.63' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_houding_veranderen_van_liggen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation/hl7:code
Item: (entryRelationship_houding_veranderen_van_liggen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation/hl7:code"
         id="tmp-8574027c-8116-47d5-bd5a-7f9a7a9b75cc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_houding_veranderen_van_liggen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="@nullFlavor or (@code='d4100' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_veranderen_van_liggen): de waarde van @code/@codeSystem MOET ''d4100' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.63
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation/hl7:value
Item: (entryRelationship_houding_veranderen_van_liggen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.63']]/hl7:observation/hl7:value"
         id="tmp-2d8e6e59-94a7-42a4-afbc-9ad449d1e33e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_houding_veranderen_van_liggen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.63.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_veranderen_van_liggen): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_houding_veranderen_van_liggen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>