<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Description: Template voor de weergave van houding veranderen van zit
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.64">
   <title>houding veranderen van zit</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]
Item: (entryRelationship_houding_veranderen_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]"
         id="tmp-eac55da6-e1f7-4f37-9b44-539c883523c9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_houding_veranderen_van_zit): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_houding_veranderen_van_zit): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation
Item: (entryRelationship_houding_veranderen_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation"
         id="tmp-540e2e17-e483-45be-b867-eef71ebd6734">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="@classCode='OBS'">(entryRelationship_houding_veranderen_van_zit): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="@moodCode='EVN'">(entryRelationship_houding_veranderen_van_zit): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64']/@nullFlavor)">(entryRelationship_houding_veranderen_van_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64'])&lt;=1">(entryRelationship_houding_veranderen_van_zit): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_houding_veranderen_van_zit): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_houding_veranderen_van_zit): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_houding_veranderen_van_zit): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_houding_veranderen_van_zit): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64']
Item: (entryRelationship_houding_veranderen_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.64']"
         id="tmp-a3e86d4a-f338-4f5c-a07f-47ed362ca14b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_houding_veranderen_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.64'">(entryRelationship_houding_veranderen_van_zit): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.64' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_houding_veranderen_van_zit): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation/hl7:code
Item: (entryRelationship_houding_veranderen_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation/hl7:code"
         id="tmp-b58bbf43-1e6e-4768-8b5d-0be00435f365">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_houding_veranderen_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="@nullFlavor or (@code='d4103' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_veranderen_van_zit): de waarde van @code/@codeSystem MOET ''d4103' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.64
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation/hl7:value
Item: (entryRelationship_houding_veranderen_van_zit)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.64']]/hl7:observation/hl7:value"
         id="tmp-938e70d3-e9a9-4330-9a88-56a3baaa01b4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_houding_veranderen_van_zit): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.64.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_veranderen_van_zit): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_houding_veranderen_van_zit): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>