<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.72
Description: Template voor de weergave van valrisico toelichting
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.72">
   <title>valrisico toelichting</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.72
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.72']]
Item: (entryRelationship_valrisico_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.72']]"
         id="tmp-f07521d4-e042-411f-a556-4b1f55103ca2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_valrisico_toelichting): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_valrisico_toelichting): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.72
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.72']]/hl7:observation
Item: (entryRelationship_valrisico_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.72']]/hl7:observation"
         id="tmp-c1ee9c7b-ea6f-4b78-b6b1-2228d589eaa1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="@classCode='OBS'">(entryRelationship_valrisico_toelichting): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="@moodCode='EVN'">(entryRelationship_valrisico_toelichting): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72']/@nullFlavor)">(entryRelationship_valrisico_toelichting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72'])&lt;=1">(entryRelationship_valrisico_toelichting): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_valrisico_toelichting): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_valrisico_toelichting): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_valrisico_toelichting): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_valrisico_toelichting): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.72
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.72']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72']
Item: (entryRelationship_valrisico_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.72']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.72']"
         id="tmp-9f360aa6-97bd-466c-97a3-92311619591f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_valrisico_toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.72'">(entryRelationship_valrisico_toelichting): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.72' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_valrisico_toelichting): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.72
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.72']]/hl7:observation/hl7:code
Item: (entryRelationship_valrisico_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.72']]/hl7:observation/hl7:code"
         id="tmp-d1aa6fee-816a-48d9-a964-c9e4c1783591">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_valrisico_toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="@nullFlavor or (@code='48767-8' and @codeSystem='2.16.840.1.113883.6.1')">(entryRelationship_valrisico_toelichting): de waarde van @code/@codeSystem MOET ''48767-8' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.72
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.72']]/hl7:observation/hl7:value
Item: (entryRelationship_valrisico_toelichting)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.72']]/hl7:observation/hl7:value"
         id="tmp-384938dd-3ae4-4e41-99b4-600148c6d2b4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.72.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_valrisico_toelichting): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>