<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.94
Description: Template voor de weergave van entryRelationship mictie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.94">
   <title>entryRelationship mictie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.94
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]
Item: (entryRelationship_mictie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]"
         id="tmp-065179e4-5f55-4025-81bd-494426ab1e40">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_mictie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_mictie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.94
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]/hl7:observation
Item: (entryRelationship_mictie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]/hl7:observation"
         id="tmp-411de9e6-26ea-4d22-a3b7-d29293caf5a4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="@classCode='OBS'">(entryRelationship_mictie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="@moodCode='EVN'">(entryRelationship_mictie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.94'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.94']/@nullFlavor)">(entryRelationship_mictie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.94'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.94'])&lt;=1">(entryRelationship_mictie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.94'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_mictie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_mictie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_mictie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_mictie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.94
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.94']
Item: (entryRelationship_mictie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.94']"
         id="tmp-e4eee437-0a44-487a-baa0-af8b0fad03ca">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_mictie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.94'">(entryRelationship_mictie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.94' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_mictie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.94
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]/hl7:observation/hl7:code
Item: (entryRelationship_mictie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]/hl7:observation/hl7:code"
         id="tmp-9656a401-9dd3-4678-8f4e-2404d985bb84">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_mictie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="@nullFlavor or (@code='d5300' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_mictie): de waarde van @code/@codeSystem MOET ''d5300' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.94
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]/hl7:observation/hl7:value
Item: (entryRelationship_mictie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.94']]/hl7:observation/hl7:value"
         id="tmp-04c79fce-ee37-47e6-85df-8f0d2a21033f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_mictie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.94.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_mictie): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_mictie): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>