<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Description: Sectie Interventie tav psychisch functioneren
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.19">
   <title>Sectie Interventie tav psychisch functioneren</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]"
         id="tmp-d7cdc476-17ee-4b27-aeae-da32e8099cf1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="count(hl7:section)&lt;=1">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section"
         id="tmp-0b3630df-fb94-4740-9f6d-31e8937eb2e5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']/@nullFlavor)">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19'])&lt;=1">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="count(hl7:code)&lt;=1">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="count(hl7:title)&lt;=1">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]]/@nullFlavor)">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]])&lt;=1">(Sectie_Interventie_tav_psychisch_functioneren): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.19']"
         id="tmp-137c06d4-e430-4b9a-9e99-3928cb4f1b6e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Interventie_tav_psychisch_functioneren): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.19'">(Sectie_Interventie_tav_psychisch_functioneren): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.19' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Interventie_tav_psychisch_functioneren): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section/hl7:code
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section/hl7:code"
         id="tmp-5f39a21b-5b6a-4cea-941f-9a21a375cb32">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Interventie_tav_psychisch_functioneren): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="@nullFlavor or (@code='24172008' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Interventie_tav_psychisch_functioneren): de waarde van @code/@codeSystem MOET ''24172008' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section/hl7:title
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.19
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]]
Item: (Sectie_Interventie_tav_psychisch_functioneren)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.19']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.189']]]"
         id="tmp-906c64c9-a2ba-4edd-9ec8-bf618241454e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.19.html"
              test="@typeCode='DRIV'">(Sectie_Interventie_tav_psychisch_functioneren): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>