<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Description: Template voor de weergave van Sectie Participatie in maatschappijSectie Participatie in maatschappij
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.1.24">
   <title>Sectie Participatie in maatschappij</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]
Item: (Sectie_Participatie_in_maatschappij)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]"
         id="tmp-ee8a358c-f3cd-4f6f-a95f-6fab35fdbd67">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="count(hl7:section)&gt;=1 and not(hl7:section/@nullFlavor)">(Sectie_Participatie_in_maatschappij): element hl7:section is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="count(hl7:section)&lt;=1">(Sectie_Participatie_in_maatschappij): element hl7:section komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section
Item: (Sectie_Participatie_in_maatschappij)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section"
         id="tmp-cbe74bcc-a632-434d-9175-a6e5de269dbe">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']/@nullFlavor)">(Sectie_Participatie_in_maatschappij): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24'])&lt;=1">(Sectie_Participatie_in_maatschappij): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Sectie_Participatie_in_maatschappij): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="count(hl7:code)&lt;=1">(Sectie_Participatie_in_maatschappij): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(Sectie_Participatie_in_maatschappij): element hl7:title is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="count(hl7:title)&lt;=1">(Sectie_Participatie_in_maatschappij): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]])&gt;=1 and not(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]]/@nullFlavor)">(Sectie_Participatie_in_maatschappij): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="count(hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]])&lt;=1">(Sectie_Participatie_in_maatschappij): element hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]] komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']
Item: (Sectie_Participatie_in_maatschappij)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.1.24']"
         id="tmp-f8cea649-c8a3-4b07-b6c3-b3ab4861b657">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Sectie_Participatie_in_maatschappij): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.1.24'">(Sectie_Participatie_in_maatschappij): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.1.24' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Sectie_Participatie_in_maatschappij): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section/hl7:code
Item: (Sectie_Participatie_in_maatschappij)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section/hl7:code"
         id="tmp-fccd782d-79de-4a91-ae7f-34a39a6d4f59">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(Sectie_Participatie_in_maatschappij): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="@nullFlavor or (@code='314845004' and @codeSystem='2.16.840.1.113883.6.96')">(Sectie_Participatie_in_maatschappij): de waarde van @code/@codeSystem MOET ''314845004' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section/hl7:title
Item: (Sectie_Participatie_in_maatschappij)
-->


<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.1.24
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]]
Item: (Sectie_Participatie_in_maatschappij)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.1.24']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.242']]]"
         id="tmp-d9dfd1b4-27d6-4056-9a61-5366befd2c92">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.1.24.html"
              test="@typeCode='DRIV'">(Sectie_Participatie_in_maatschappij): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>