<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.103
Description: Template voor de weergave van snijden openen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.103">
   <title>snijden openen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.103
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.103']]
Item: (snijden_openen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.103']]"
         id="tmp-a2596ffc-e57e-4118-87b1-8eed83e37863">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(snijden_openen): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="count(hl7:observation)&lt;=1">(snijden_openen): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.103
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.103']]/hl7:observation
Item: (snijden_openen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.103']]/hl7:observation"
         id="tmp-55fa6d8e-c6c5-4577-bda2-bb4426d53aed">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="@classCode='OBS'">(snijden_openen): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="@moodCode='EVN'">(snijden_openen): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.103'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.103']/@nullFlavor)">(snijden_openen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.103'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.103'])&lt;=1">(snijden_openen): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.103'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(snijden_openen): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="count(hl7:code)&lt;=1">(snijden_openen): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(snijden_openen): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="count(hl7:value)&lt;=1">(snijden_openen): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.103
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.103']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.103']
Item: (snijden_openen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.103']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.103']"
         id="tmp-43c5554c-867b-43a4-aa47-a27cffa637f5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(snijden_openen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.103'">(snijden_openen): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.103' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(snijden_openen): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.103
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.103']]/hl7:observation/hl7:code
Item: (snijden_openen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.103']]/hl7:observation/hl7:code"
         id="tmp-8421be35-153c-4c9c-8a9f-c2a2fccfab85">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(snijden_openen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="@nullFlavor or (@code='289072002' and @codeSystem='2.16.840.1.113883.6.96')">(snijden_openen): de waarde van @code/@codeSystem MOET ''289072002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.103
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.103']]/hl7:observation/hl7:value
Item: (snijden_openen)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.103']]/hl7:observation/hl7:value"
         id="tmp-1cb75118-7d5c-4edf-aaa1-18d49c0f7df1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(snijden_openen): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.103.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(snijden_openen): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode" value="'d550'"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(snijden_openen): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>