<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.121
Description: Template voor de weergave van infuus locatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.121">
   <title>infuus locatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.121
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.121']]
Item: (infuus_locatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.121']]"
         id="tmp-76861453-530a-410a-b5c7-1e509148420e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(infuus_locatie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="count(hl7:observation)&lt;=1">(infuus_locatie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.121
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.121']]/hl7:observation
Item: (infuus_locatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.121']]/hl7:observation"
         id="tmp-f54db2e3-02fa-42d9-bccb-54cb9857f559">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="@classCode='OBS'">(infuus_locatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="@moodCode='EVN'">(infuus_locatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.121'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.121']/@nullFlavor)">(infuus_locatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.121'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.121'])&lt;=1">(infuus_locatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.121'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(infuus_locatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="count(hl7:code)&lt;=1">(infuus_locatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(infuus_locatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="count(hl7:value)&lt;=1">(infuus_locatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.121
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.121']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.121']
Item: (infuus_locatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.121']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.121']"
         id="tmp-8579a14c-d2cd-4303-b91c-118dc9f4737d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(infuus_locatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.121'">(infuus_locatie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.121' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(infuus_locatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.121
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.121']]/hl7:observation/hl7:code
Item: (infuus_locatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.121']]/hl7:observation/hl7:code"
         id="tmp-89d75732-bc3f-4014-a4da-d013351b169f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(infuus_locatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="@nullFlavor or (@code='246283002' and @codeSystem='2.16.840.1.113883.6.96')">(infuus_locatie): de waarde van @code/@codeSystem MOET ''246283002' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.121
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.121']]/hl7:observation/hl7:value
Item: (infuus_locatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.121']]/hl7:observation/hl7:value"
         id="tmp-ccfe90bf-a3b7-44fc-ba55-a31b07df1459">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.121.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(infuus_locatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>