<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.175
Description: Template voor de weergave van zien
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.175">
   <title>zien</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.175
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.175']]
Item: (zien)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.175']]"
         id="tmp-b7c12d44-dbc5-475a-a449-090878279b14">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(zien): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="count(hl7:observation)&lt;=1">(zien): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.175
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.175']]/hl7:observation
Item: (zien)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.175']]/hl7:observation"
         id="tmp-42e7b7b2-822f-4df8-9b88-9d8b59fc7122">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175']/@nullFlavor)">(zien): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175'])&lt;=1">(zien): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(zien): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="count(hl7:code)&lt;=1">(zien): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(zien): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="count(hl7:value)&lt;=1">(zien): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.175
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.175']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175']
Item: (zien)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.175']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.175']"
         id="tmp-073dd67c-d41b-48b5-91f3-bfdc6bb235a9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(zien): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.175'">(zien): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.175' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(zien): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.175
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.175']]/hl7:observation/hl7:code
Item: (zien)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.175']]/hl7:observation/hl7:code"
         id="tmp-0df6fb8a-58c6-49c8-89ac-c518a2d3759a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(zien): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="@nullFlavor or (@code='b2109' and @codeSystem='2.16.840.1.113883.6.254')">(zien): de waarde van @code/@codeSystem MOET ''b2109' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.175
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.175']]/hl7:observation/hl7:value
Item: (zien)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.175']]/hl7:observation/hl7:value"
         id="tmp-6e674b8c-7d2e-49ce-b776-ead1a05e29b6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(zien): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.175.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(zien): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(zien): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>