<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.215
Description: Template voor de weergave van coherentie denken
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.215">
   <title>coherentie denken</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.215
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.215']]
Item: (coherentie_denken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.215']]"
         id="tmp-3957d37e-d4a0-4f3b-b8b9-836adeead036">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(coherentie_denken): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="count(hl7:observation)&lt;=1">(coherentie_denken): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.215
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.215']]/hl7:observation
Item: (coherentie_denken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.215']]/hl7:observation"
         id="tmp-6a2714d1-002e-4fc8-91a4-7090dc1de09f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="@classCode='OBS'">(coherentie_denken): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="@moodCode='EVN'">(coherentie_denken): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.215'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.215']/@nullFlavor)">(coherentie_denken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.215'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.215'])&lt;=1">(coherentie_denken): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.215'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(coherentie_denken): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="count(hl7:code)&lt;=1">(coherentie_denken): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(coherentie_denken): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="count(hl7:value)&lt;=1">(coherentie_denken): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.215
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.215']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.215']
Item: (coherentie_denken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.215']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.215']"
         id="tmp-4ca27575-c145-4795-8cde-2a7a2e0b4cb8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(coherentie_denken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.215'">(coherentie_denken): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.215' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(coherentie_denken): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.215
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.215']]/hl7:observation/hl7:code
Item: (coherentie_denken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.215']]/hl7:observation/hl7:code"
         id="tmp-91dac6c6-5a96-4c17-8050-df54988d660f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(coherentie_denken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="@nullFlavor or (@code='b1601' and @codeSystem='2.16.840.1.113883.6.254')">(coherentie_denken): de waarde van @code/@codeSystem MOET ''b1601' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.215
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.215']]/hl7:observation/hl7:value
Item: (coherentie_denken)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.215']]/hl7:observation/hl7:value"
         id="tmp-7f87085f-e3a7-4017-ac40-88a49b2a1073">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(coherentie_denken): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.215.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(coherentie_denken): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(coherentie_denken): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>