<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Description: Template voor de weergave van Bron bewering allergie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.22">
   <title>bron bewering allergie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]
Item: (Bron_bewering_allergie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant"
         id="tmp-0bb59e79-4f44-4c60-86a3-0c9fe4213acf">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']/@nullFlavor)">(Bron_bewering_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'])&lt;=1">(Bron_bewering_allergie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:assignedEntity)&lt;=1">(Bron_bewering_allergie): element hl7:assignedEntity komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.22']"
         id="tmp-5f623aba-ac8c-44ad-a81b-be7681eefe7b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.22'">(Bron_bewering_allergie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.22' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Bron_bewering_allergie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity"
         id="tmp-347c1c8f-b83e-4f45-a27e-274fdaea0676">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:assignedPerson)&lt;=1">(Bron_bewering_allergie): element hl7:assignedPerson komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:id
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:id"
         id="tmp-39e52fda-cd26-460f-b85d-35c0dc5a8319">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson"
         id="tmp-0a9c2425-b658-46dc-af59-fd0d5b7dc151">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(Bron_bewering_allergie): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:name)&lt;=1">(Bron_bewering_allergie): element hl7:name komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name"
         id="tmp-e151490e-1acd-4aec-8d67-4449e6b6503a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:given[not(@qualifier='IN')])&lt;=1">(Bron_bewering_allergie): element hl7:given[not(@qualifier='IN')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:given[@qualifier='IN'])&lt;=1">(Bron_bewering_allergie): element hl7:given[@qualifier='IN'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:family)&gt;=1 and not(hl7:family/@nullFlavor)">(Bron_bewering_allergie): element hl7:family is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:family)&lt;=1">(Bron_bewering_allergie): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[not(@qualifier='IN')]
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[not(@qualifier='IN')]"
         id="tmp-cd6672fd-6bb1-471b-b3c3-a740d3fb18d8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="@qualifier='BR' or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET 'BR' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[@qualifier='IN']
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:given[@qualifier='IN']"
         id="tmp-d09457be-5cf1-412b-bd18-c6325b351d83">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="@qualifier='IN' or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET 'IN' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family"
         id="tmp-198e6043-8e98-460e-b1e6-0963aa8acb88">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="count(hl7:family)&lt;=1">(Bron_bewering_allergie): element hl7:family komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.22
Context: *[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family/hl7:family
Item: (Bron_bewering_allergie)
-->

<rule context="*[hl7:informant[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.22']]/hl7:informant/hl7:assignedEntity/hl7:assignedPerson/hl7:name/hl7:family/hl7:family"
         id="tmp-35184593-9a84-4bc9-a23f-c9abd9dd1880">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="@nullFlavor or @xsi:type='PN' or not(@xsi:type)">(Bron_bewering_allergie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PN" bevatten</assert>
      <extends rule="PN"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.22.html"
              test="@qualifier='BR' or @qualifier='SP' or not(@qualifier)">(Bron_bewering_allergie): de waarde van @qualifier MOET één van de volgende codes bevatten: BR', 'SP.</assert>
   </rule>
</pattern>