<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.227
Description: Template voor de weergave van non verbale communicatie zich kunnen uiten
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.227">
   <title>non verbale communicatie zich kunnen uiten</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.227
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.227']]
Item: (non_verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.227']]"
         id="tmp-4275d8ca-6d24-428d-abaf-7f61cddd144e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(non_verbale_communicatie_zich_kunnen_uiten): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="count(hl7:observation)&lt;=1">(non_verbale_communicatie_zich_kunnen_uiten): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.227
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.227']]/hl7:observation
Item: (non_verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.227']]/hl7:observation"
         id="tmp-e5e27d13-6715-4e83-8a2f-12cb2942e89d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="@classCode='OBS'">(non_verbale_communicatie_zich_kunnen_uiten): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="@moodCode='EVN'">(non_verbale_communicatie_zich_kunnen_uiten): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.227'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.227']/@nullFlavor)">(non_verbale_communicatie_zich_kunnen_uiten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.227'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.227'])&lt;=1">(non_verbale_communicatie_zich_kunnen_uiten): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.227'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(non_verbale_communicatie_zich_kunnen_uiten): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="count(hl7:code)&lt;=1">(non_verbale_communicatie_zich_kunnen_uiten): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(non_verbale_communicatie_zich_kunnen_uiten): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="count(hl7:value)&lt;=1">(non_verbale_communicatie_zich_kunnen_uiten): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.227
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.227']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.227']
Item: (non_verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.227']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.227']"
         id="tmp-131c359b-1ad5-4c83-a8aa-a25d8df04ff8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(non_verbale_communicatie_zich_kunnen_uiten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.227'">(non_verbale_communicatie_zich_kunnen_uiten): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.227' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(non_verbale_communicatie_zich_kunnen_uiten): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.227
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.227']]/hl7:observation/hl7:code
Item: (non_verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.227']]/hl7:observation/hl7:code"
         id="tmp-53a198fb-da96-4b83-9895-ea19565763ee">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(non_verbale_communicatie_zich_kunnen_uiten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="@nullFlavor or (@code='d3359' and @codeSystem='2.16.840.1.113883.6.254')">(non_verbale_communicatie_zich_kunnen_uiten): de waarde van @code/@codeSystem MOET ''d3359' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.227
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.227']]/hl7:observation/hl7:value
Item: (non_verbale_communicatie_zich_kunnen_uiten)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.227']]/hl7:observation/hl7:value"
         id="tmp-b3cf6818-2ace-461e-8e05-88ad4dc525b8">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(non_verbale_communicatie_zich_kunnen_uiten): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.227.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(non_verbale_communicatie_zich_kunnen_uiten): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(non_verbale_communicatie_zich_kunnen_uiten): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>