<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Description: ziekte_inzicht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.233">
   <title>ziekte inzicht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]
Item: (ziekte_inzicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]"
         id="tmp-277feecd-f7d0-4552-bbe3-5469f020d212">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(ziekte_inzicht): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="count(hl7:observation)&lt;=1">(ziekte_inzicht): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation
Item: (ziekte_inzicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation"
         id="tmp-a26d16d0-3b27-43c6-acbb-f67a9c600606">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="@classCode='OBS'">(ziekte_inzicht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="@moodCode='EVN'">(ziekte_inzicht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']/@nullFlavor)">(ziekte_inzicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233'])&lt;=1">(ziekte_inzicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ziekte_inzicht): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="count(hl7:code)&lt;=1">(ziekte_inzicht): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(ziekte_inzicht): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="count(hl7:value)&lt;=1">(ziekte_inzicht): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']
Item: (ziekte_inzicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.233']"
         id="tmp-01c6fc45-f573-4b2c-9575-7297662ae3c4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(ziekte_inzicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.233'">(ziekte_inzicht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.233' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ziekte_inzicht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation/hl7:code
Item: (ziekte_inzicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation/hl7:code"
         id="tmp-60a1e1d5-e8f0-4b96-a003-30ce3390b58c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(ziekte_inzicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="@nullFlavor or (@code='27026000' and @codeSystem='2.16.840.1.113883.6.96')">(ziekte_inzicht): de waarde van @code/@codeSystem MOET ''27026000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.233
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation/hl7:value
Item: (ziekte_inzicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.233']]/hl7:observation/hl7:value"
         id="tmp-ce08b57c-0a41-432f-8fa7-77981427bc80">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.233.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(ziekte_inzicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>