<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.236
Description: Template voor de weergave van religie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.236">
   <title>religie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.236
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.236']]
Item: (religie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.236']]"
         id="tmp-87f827a9-600b-45ba-8e59-ee9450319ca9">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(religie): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="count(hl7:observation)&lt;=1">(religie): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.236
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.236']]/hl7:observation
Item: (religie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.236']]/hl7:observation"
         id="tmp-31c252a8-452d-4fdf-a390-ae215f94009e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="@classCode='OBS'">(religie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="@moodCode='EVN'">(religie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.236'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.236']/@nullFlavor)">(religie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.236'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.236'])&lt;=1">(religie): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.236'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(religie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="count(hl7:code)&lt;=1">(religie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(religie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="count(hl7:value)&lt;=1">(religie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.236
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.236']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.236']
Item: (religie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.236']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.236']"
         id="tmp-f62eae35-7339-417b-94ec-3f570f651061">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(religie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.236'">(religie): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.236' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(religie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.236
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.236']]/hl7:observation/hl7:code
Item: (religie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.236']]/hl7:observation/hl7:code"
         id="tmp-8096600e-e4aa-4208-865e-a419c6dccfd4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(religie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="@nullFlavor or (@code='160538000' and @codeSystem='2.16.840.1.113883.6.96')">(religie): de waarde van @code/@codeSystem MOET ''160538000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.236
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.236']]/hl7:observation/hl7:value
Item: (religie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.236']]/hl7:observation/hl7:value"
         id="tmp-617d43bf-0562-444a-a8c7-9bb5a888cd6c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.236.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(religie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>