<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Description: Template voor de weergave van cultuur
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.237">
   <title>cultuur</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]
Item: (cultuur)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]"
         id="tmp-8fd0ce84-0412-405c-aaa1-21b37e99d910">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(cultuur): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="count(hl7:observation)&lt;=1">(cultuur): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation
Item: (cultuur)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation"
         id="tmp-c99d7300-164e-4893-bb80-0a6444b29819">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="@classCode='OBS'">(cultuur): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="@moodCode='EVN'">(cultuur): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237']/@nullFlavor)">(cultuur): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237'])&lt;=1">(cultuur): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(cultuur): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="count(hl7:code)&lt;=1">(cultuur): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(cultuur): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="count(hl7:value)&lt;=1">(cultuur): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237']
Item: (cultuur)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.237']"
         id="tmp-56100348-f89c-4e12-9cb4-009355ef5713">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(cultuur): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.237'">(cultuur): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.237' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(cultuur): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation/hl7:code
Item: (cultuur)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation/hl7:code"
         id="tmp-6f3d959c-8228-4e20-bf8c-78c7a46cd7c0">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(cultuur): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="@nullFlavor or (@code='186034007' and @codeSystem='2.16.840.1.113883.6.96')">(cultuur): de waarde van @code/@codeSystem MOET ''186034007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.237
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation/hl7:value
Item: (cultuur)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.237']]/hl7:observation/hl7:value"
         id="tmp-79321cc3-78bf-4be1-a0ab-8c51cc026c47">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.237.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(cultuur): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>