<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Description: Template voor de weergave van ondersteuning nodig
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.54">
   <title>ondersteuning nodig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]
Item: (entryRelationship_ondersteuning_nodig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]"
         id="tmp-2a51e6b7-b95a-4ce8-8051-e63069987e3e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_ondersteuning_nodig): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_ondersteuning_nodig): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation
Item: (entryRelationship_ondersteuning_nodig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation"
         id="tmp-189db666-0536-4ce3-a2d2-5155484e3937">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="@classCode='OBS'">(entryRelationship_ondersteuning_nodig): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="@moodCode='EVN'">(entryRelationship_ondersteuning_nodig): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(entryRelationship_ondersteuning_nodig): Als er géén ondersteuning nodig is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="error" test="not(@negationInd='true') or hl7:value">(entryRelationship_ondersteuning_nodig): Als er géén ondersteuning nodig is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']/@nullFlavor)">(entryRelationship_ondersteuning_nodig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54'])&lt;=1">(entryRelationship_ondersteuning_nodig): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_ondersteuning_nodig): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_ondersteuning_nodig): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']
Item: (entryRelationship_ondersteuning_nodig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.54']"
         id="tmp-5beb7295-aa92-4761-aaeb-d382a7324370">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_ondersteuning_nodig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.54'">(entryRelationship_ondersteuning_nodig): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.54' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_ondersteuning_nodig): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.54
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation/hl7:code
Item: (entryRelationship_ondersteuning_nodig)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.54']]/hl7:observation/hl7:code"
         id="tmp-a62a2837-378c-468a-a4e6-204967951f5d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_ondersteuning_nodig): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.54.html"
              test="@nullFlavor or (@code='426031007' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_ondersteuning_nodig): de waarde van @code/@codeSystem MOET ''426031007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>
</pattern>