<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Description: Template voor de weergave van handhaven van liggende houding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.67">
   <title>handhaven van liggende houding</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]"
         id="tmp-d69be5a5-cb4d-444b-86bd-d771e72ff59c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation"
         id="tmp-b7b597f5-5605-4223-b6d2-ef919750ba87">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="@classCode='OBS'">(entryRelationship_handhaven_van_liggende_houding): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="@moodCode='EVN'">(entryRelationship_handhaven_van_liggende_houding): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'])&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_handhaven_van_liggende_houding): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_handhaven_van_liggende_houding): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.67']"
         id="tmp-dd17aa0d-c04a-4175-a5bb-adc57f3e2e84">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_handhaven_van_liggende_houding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.67'">(entryRelationship_handhaven_van_liggende_houding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.67' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_handhaven_van_liggende_houding): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation/hl7:code
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation/hl7:code"
         id="tmp-6b8caf21-8ebe-4092-b3a6-2a18fdfcc881">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_handhaven_van_liggende_houding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="@nullFlavor or (@code='d4150' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_handhaven_van_liggende_houding): de waarde van @code/@codeSystem MOET ''d4150' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.67
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation/hl7:value
Item: (entryRelationship_handhaven_van_liggende_houding)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.67']]/hl7:observation/hl7:value"
         id="tmp-eadc7ab3-4d99-4ec4-a36d-ffc6c10199b1">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_handhaven_van_liggende_houding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.67.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_handhaven_van_liggende_houding): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_handhaven_van_liggende_houding): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>