<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Description: Template voor de weergave van houding handhaven van staan
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.69">
   <title>houding handhaven van staan</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]
Item: (entryRelationship_houding_handhaven_van_staan)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]"
         id="tmp-73f818b7-10c0-4090-a2fe-2e75fe43b901">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_houding_handhaven_van_staan): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_houding_handhaven_van_staan): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation
Item: (entryRelationship_houding_handhaven_van_staan)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation"
         id="tmp-0e3afea1-becb-45ab-bfe6-61d9851d4ac2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="@classCode='OBS'">(entryRelationship_houding_handhaven_van_staan): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="@moodCode='EVN'">(entryRelationship_houding_handhaven_van_staan): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']/@nullFlavor)">(entryRelationship_houding_handhaven_van_staan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69'])&lt;=1">(entryRelationship_houding_handhaven_van_staan): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_houding_handhaven_van_staan): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_houding_handhaven_van_staan): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_houding_handhaven_van_staan): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_houding_handhaven_van_staan): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']
Item: (entryRelationship_houding_handhaven_van_staan)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.69']"
         id="tmp-499d5383-f73b-4e6b-b427-e04dacaee7ff">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_houding_handhaven_van_staan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.69'">(entryRelationship_houding_handhaven_van_staan): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.69' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_houding_handhaven_van_staan): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation/hl7:code
Item: (entryRelationship_houding_handhaven_van_staan)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation/hl7:code"
         id="tmp-54bfe9a5-5739-4715-8c92-9fccb7d0abce">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_houding_handhaven_van_staan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="@nullFlavor or (@code='d4154' and @codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_handhaven_van_staan): de waarde van @code/@codeSystem MOET ''d4154' codeSystem '2.16.840.1.113883.6.254'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.69
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation/hl7:value
Item: (entryRelationship_houding_handhaven_van_staan)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.69']]/hl7:observation/hl7:value"
         id="tmp-8ab11758-84c9-40db-9133-9c687150c585">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_houding_handhaven_van_staan): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.69.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_houding_handhaven_van_staan): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode"
           value="../hl7:code[@codeSystem='2.16.840.1.113883.6.254']/@code"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_houding_handhaven_van_staan): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>