<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Description: Template voor de weergave van entryRelationship wassen bovenlichaam 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.76">
   <title>wassen bovenlichaam</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]
Item: (entryRelationship_wassen_bovenlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]"
         id="tmp-c4cf02b9-ae10-4626-ad87-dc6e62d63a17">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_wassen_bovenlichaam): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_wassen_bovenlichaam): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation
Item: (entryRelationship_wassen_bovenlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation"
         id="tmp-dcbc0401-e5b9-4951-8496-c30d0749bbc3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="@classCode='OBS'">(entryRelationship_wassen_bovenlichaam): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="@moodCode='EVN'">(entryRelationship_wassen_bovenlichaam): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76']/@nullFlavor)">(entryRelationship_wassen_bovenlichaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76'])&lt;=1">(entryRelationship_wassen_bovenlichaam): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_wassen_bovenlichaam): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_wassen_bovenlichaam): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_wassen_bovenlichaam): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_wassen_bovenlichaam): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76']
Item: (entryRelationship_wassen_bovenlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.76']"
         id="tmp-8b350f6c-55a3-4f92-9f03-7f8fd308e9a4">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_wassen_bovenlichaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.76'">(entryRelationship_wassen_bovenlichaam): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.76' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_wassen_bovenlichaam): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:code
Item: (entryRelationship_wassen_bovenlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:code"
         id="tmp-83529db6-88d3-449d-98d6-b5a0a2951ad5">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_wassen_bovenlichaam): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="@nullFlavor or (@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_wassen_bovenlichaam): de waarde van @code/@codeSystem MOET ''284785009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(entryRelationship_wassen_bovenlichaam): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:qualifier)&lt;=1">(entryRelationship_wassen_bovenlichaam): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:code
Item: (QualifierUpperBody)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:code/hl7:qualifier
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:code/hl7:qualifier"
         id="tmp-e0f0de32-5db4-4a83-a206-a856ef2b924f">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(QualifierUpperBody): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:name)&lt;=1">(QualifierUpperBody): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(QualifierUpperBody): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="count(hl7:value)&lt;=1">(QualifierUpperBody): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:code/hl7:qualifier/hl7:name
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:code/hl7:qualifier/hl7:name"
         id="tmp-50cd79ce-bf9a-47a2-b5cf-8f0a23f09bf2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierUpperBody): de waarde van @code/@codeSystem MOET ''405813007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:code/hl7:qualifier/hl7:value
Item: (QualifierUpperBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:code/hl7:qualifier/hl7:value"
         id="tmp-0b86837c-704a-49d2-9f28-5537ac76935e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="@nullFlavor or (@code='128262006' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierUpperBody): de waarde van @code/@codeSystem MOET ''128262006' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.76
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:value
Item: (entryRelationship_wassen_bovenlichaam)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.76']]/hl7:observation/hl7:value"
         id="tmp-bf909426-12c7-4672-8184-2e765922600b">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.76.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_wassen_bovenlichaam): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode" value="'d5100'"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_wassen_bovenlichaam): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>