<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Description: Template voor de weergave van entryRelationship wassen gezicht
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.77">
   <title>wassen gezicht</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]
Item: (entryRelationship_wassen_gezicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]"
         id="tmp-d866d6c7-286e-4427-bf6a-42ca57cf12a3">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_wassen_gezicht): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_wassen_gezicht): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation
Item: (entryRelationship_wassen_gezicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation"
         id="tmp-4e1debaf-1a37-4326-aaf5-fdd17f6a1012">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="@classCode='OBS'">(entryRelationship_wassen_gezicht): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="@moodCode='EVN'">(entryRelationship_wassen_gezicht): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77']/@nullFlavor)">(entryRelationship_wassen_gezicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77'])&lt;=1">(entryRelationship_wassen_gezicht): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_wassen_gezicht): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_wassen_gezicht): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_wassen_gezicht): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_wassen_gezicht): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77']
Item: (entryRelationship_wassen_gezicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.77']"
         id="tmp-328f0df0-dbda-4e3f-ba8d-55a8eb0a74fc">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_wassen_gezicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.77'">(entryRelationship_wassen_gezicht): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.77' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_wassen_gezicht): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:code
Item: (entryRelationship_wassen_gezicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:code"
         id="tmp-50aed470-0008-47b4-b22f-21941955f87d">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_wassen_gezicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="@nullFlavor or (@code='284785009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_wassen_gezicht): de waarde van @code/@codeSystem MOET ''284785009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(entryRelationship_wassen_gezicht): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:qualifier)&lt;=1">(entryRelationship_wassen_gezicht): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:code
Item: (QualifierEntireFace)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:code/hl7:qualifier
Item: (QualifierEntireFace)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:code/hl7:qualifier"
         id="tmp-36d8ac37-cb1a-4dc7-9cf4-0ceef6329499">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(QualifierEntireFace): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:name)&lt;=1">(QualifierEntireFace): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(QualifierEntireFace): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="count(hl7:value)&lt;=1">(QualifierEntireFace): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:code/hl7:qualifier/hl7:name
Item: (QualifierEntireFace)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:code/hl7:qualifier/hl7:name"
         id="tmp-5665e18d-60fc-4f2d-8aef-efe44dca3fc6">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierEntireFace): de waarde van @code/@codeSystem MOET ''405813007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:code/hl7:qualifier/hl7:value
Item: (QualifierEntireFace)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:code/hl7:qualifier/hl7:value"
         id="tmp-ad7a2be6-bf5b-4e70-869d-c0d214c77119">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="@nullFlavor or (@code='302549007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierEntireFace): de waarde van @code/@codeSystem MOET ''302549007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.77
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:value
Item: (entryRelationship_wassen_gezicht)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.77']]/hl7:observation/hl7:value"
         id="tmp-bf007007-a1fd-478f-9ab4-69c6f8942d99">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_wassen_gezicht): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.77.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_wassen_gezicht): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode" value="'d5100'"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_wassen_gezicht): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>