<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Description: Template voor de weergave van entryRelationship soort ondersteuning tandverzorging
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.83">
   <title>soort ondersteuning tandverzorging</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]"
         id="tmp-49a18620-afbf-4a39-ace9-58dc91e9636e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation"
         id="tmp-24908bfa-b9d7-45f9-9804-8bdc4efa1609">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="@classCode='OBS'">(entryRelationship_soort_ondersteuning_tandverz): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="@moodCode='EVN'">(entryRelationship_soort_ondersteuning_tandverz): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'])&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_soort_ondersteuning_tandverz): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_soort_ondersteuning_tandverz): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.83']"
         id="tmp-85c0275f-d6a5-440d-9ea4-f5c304409f60">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_soort_ondersteuning_tandverz): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.83'">(entryRelationship_soort_ondersteuning_tandverz): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.83' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_soort_ondersteuning_tandverz): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation/hl7:code
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation/hl7:code"
         id="tmp-068e5b87-f363-4778-9726-55d2c0c4f367">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="@nullFlavor or @xsi:type='CE' or not(@xsi:type)">(entryRelationship_soort_ondersteuning_tandverz): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="@nullFlavor or (@code='225963009' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_soort_ondersteuning_tandverz): de waarde van @code/@codeSystem MOET ''225963009' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.83
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation/hl7:value
Item: (entryRelationship_soort_ondersteuning_tandverz)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.83']]/hl7:observation/hl7:value"
         id="tmp-6ba7a0e8-a3b6-405b-87d3-e8d75f0e4f31">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.83.html"
              test="@nullFlavor or @xsi:type='ST' or not(@xsi:type)">(entryRelationship_soort_ondersteuning_tandverz): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>