<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Description: Template voor de weergave van entryRelationship onderlichaam Aan- en uitkleden
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.90">
   <title>onderlichaam aan- en uitkleden</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]"
         id="tmp-e7819035-c81c-4f4d-bef8-dca6d6fc3de2">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:observation)&gt;=1 and not(hl7:observation/@nullFlavor)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:observation is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:observation)&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:observation komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation"
         id="tmp-4fd33610-eea1-4f7d-a561-acf9b3df5447">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="@classCode='OBS'">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="@moodCode='EVN'">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']/@nullFlavor)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'])&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.90']"
         id="tmp-acac2693-175d-440f-9cac-083259df73ea">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="@nullFlavor or @xsi:type='II' or not(@xsi:type)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="@root='2.16.840.1.113883.2.4.6.10.30.2.90'">(entryRelationship_onderlichaam_Aan-_en_uitkleden): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.90' hebben.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="matches(@root, '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(@root, '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(entryRelationship_onderlichaam_Aan-_en_uitkleden): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:code
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:code"
         id="tmp-ebfae189-f0bb-4ce3-ace1-2a1465251f0e">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="@nullFlavor or (@code='165235000' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de waarde van @code/@codeSystem MOET ''165235000' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:qualifier)&gt;=1 and not(hl7:qualifier/@nullFlavor)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:qualifier is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:qualifier)&lt;=1">(entryRelationship_onderlichaam_Aan-_en_uitkleden): element hl7:qualifier komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:code
Item: (QualifierLowerBody)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:code/hl7:qualifier
Item: (QualifierLowerBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:code/hl7:qualifier"
         id="tmp-775b8498-fe6e-415f-be46-2042a46e126c">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:name)&gt;=1 and not(hl7:name/@nullFlavor)">(QualifierLowerBody): element hl7:name is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:name)&lt;=1">(QualifierLowerBody): element hl7:name komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(QualifierLowerBody): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="count(hl7:value)&lt;=1">(QualifierLowerBody): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:code/hl7:qualifier/hl7:name
Item: (QualifierLowerBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:code/hl7:qualifier/hl7:name"
         id="tmp-a6660452-aee7-4f47-943c-ae45c862f06a">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="@nullFlavor or (@code='405813007' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierLowerBody): de waarde van @code/@codeSystem MOET ''405813007' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:code/hl7:qualifier/hl7:value
Item: (QualifierLowerBody)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:code/hl7:qualifier/hl7:value"
         id="tmp-9941e22a-e81e-4ed5-999a-01b16907a093">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="@nullFlavor or (@code='128263001' and @codeSystem='2.16.840.1.113883.6.96')">(QualifierLowerBody): de waarde van @code/@codeSystem MOET ''128263001' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.90
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:value
Item: (entryRelationship_onderlichaam_Aan-_en_uitkleden)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.90']]/hl7:observation/hl7:value"
         id="tmp-b7bf7231-ff81-4f8b-8a6e-6d126a18ec36">
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="@nullFlavor or @xsi:type='CD' or not(@xsi:type)">(entryRelationship_onderlichaam_Aan-_en_uitkleden): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://www.nictiz.nl/e-care/e-overdracht-html-develop/tmp-2.16.840.1.113883.2.4.6.10.30.2.90.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.6.254')">(entryRelationship_onderlichaam_Aan-_en_uitkleden): de waarde van @codeSystem MOET ''2.16.840.1.113883.6.254'' zijn.</assert>
      <let name="theICFCode" value="'d5408'"/>
      <assert role="error" test="matches(@code,concat('^',$theICFCode,'\.[0-4]$'))">(entryRelationship_onderlichaam_Aan-_en_uitkleden): 
                        <name/>/@code MOET de structuur <value-of select="$theICFCode"/>.n hebben waarbij n is 0-4.</assert>
   </rule>
</pattern>